package JavaPlugin;

import java.awt.Color;

import javax.swing.JColorChooser;
import javax.swing.JOptionPane;
import com.telelogic.rhapsody.core.*;

/**
 * The plug-in main class 
 */
public class PluginMainClass {
	
	static IRPApplication rhpApp = null;
	static RPClassesFactory clsFactory = null;
	//the plugin extended classes factory
	
	//called when the plug-in is loaded
	public static void RhpPluginInit(final IRPApplication rpyApplication) {
		PluginMainClass.rhpApp = rpyApplication;
		PluginMainClass.clsFactory = new RPClassesFactory();		
		JOptionPane.showMessageDialog(null, "Initializing JavaPlugin");		
	}
	
	//called when the plug-in menu item under the "Tools" menu is selected
	public static void RhpPluginInvokeItem() {
		Color clr = JColorChooser.showDialog(null, "Choose OMDs elements fill color", null);
		if(clr == null){
			return;
		}
		synchronized (RPExtendedRPClassesFactory.factoryMutex) {
			RhapsodyAppServer.setCurrentContextClassFactory(PluginMainClass.clsFactory);
			final RPProjectEx prj = (RPProjectEx) PluginMainClass.rhpApp.activeProject();
			prj.formatOMDs(String.valueOf(clr.getRed()), String.valueOf(clr.getGreen()), String.valueOf(clr.getBlue()));
			RhapsodyAppServer.resetCurrentContextClassFactory();			
		}
						
	}
	
	//called when the plug-in popup menu (if applicable) is selected
	public static void OnMenuItemSelect() {
		Color clr = JColorChooser.showDialog(null, "Choose OMDs elements fill color", null);
		if(clr == null){
			return;
		}			
		synchronized (RPExtendedRPClassesFactory.factoryMutex) {
			RhapsodyAppServer.setCurrentContextClassFactory(PluginMainClass.clsFactory);
			final IRPModelElement selElem = PluginMainClass.rhpApp.getSelectedElement();
			if (selElem instanceof RPObjectModelDiagramEx) {
				final RPObjectModelDiagramEx omd = (RPObjectModelDiagramEx) selElem;				
				omd.format(String.valueOf(clr.getRed()), String.valueOf(clr.getGreen()), String.valueOf(clr.getBlue()));			
			}
			RhapsodyAppServer.resetCurrentContextClassFactory();			
		}
					
	}
	
	//called when the project is closed
	public static void RhpPluginCleanup(){
				
	}
	
	//called when Rhapsody exits
	public static void RhpPluginFinalCleanup(){
		PluginMainClass.rhpApp = null;
		
	}
	
	
	
	

}
