#ifndef RICOS_H
#define RICOS_H

/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
*/

/******************************************************************
 ---------------------------------------------------------------
|							RiCOS.h                             |
 --------------------------------------------------------------- 
*******************************************************************/

#include <mxf/RiCOSMainloop.h>

#ifdef __HC12__
#include <hidef.h>
#include "mc9s12xep100.h"

/* Justification: Violation of Misra98 Rule96 / Misra04 Rule19.10 */
/* Macro body expands to braced expression						  */
#define OSTIMER_INIT()										\
{															\
	/* Configures the PIT (Periodic Interrupt Timer) */		\
	/* to generate a periodic interrupt on channel 0 */		\
	PITCE = 0x01;	/* Enable timer channel 0		 */		\
	PITINTE = 0x01;	/* Enable interrupt channel 0	 */		\
	PITMUX = 0x00;  /* Select Micro base timer PITMTLD0	*/	\
	/* Set the timer Cycle = PITMTLD0*PITLD0	*/			\
	/* To count miliseconds,   with Clock Freq. of 4 MHz, PITMTLD0*PITLD0 need to be 2000 */  \
	/* To count micro-seconds, with Clock Freq. of 4 MHz, PITMTLD0*PITLD0 need to be 2 */     \
	PITMTLD0 = RICTIMERMANAGER_TIME_CYCLE;											          \
	PITLD0 = 2000;					\
	PITCFLMT = 0xA0;	/* Enable PIT in freeze mode */		\
															\
	EnableInterrupts;										\
}

#endif

RiCOSResult RiCOSAnimMutex_lock(const RiCOSMutex *me);
RiCOSResult RiCOSAnimMutex_free(const RiCOSMutex *me);

#endif

