/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2010, 2012. All Rights Reserved.
*/

/******************************************************************
 ---------------------------------------------------------------
|					RiCOSTargetServices.h                     |
 --------------------------------------------------------------- 
*******************************************************************/
/******************************************************************/
/** This file is used to define target-apdator specific			 **/
/** definitions, over-riding the OS-adaptor default definitions. **/
/**	Specifically, declaring MXF types depending					 **/
/** on native OS types, and pre-processor flags to over-ride	 **/
/** functions implemented in the OS-adaptor with the			 **/
/** implementations defined in RiCOSTargetServices.c.			 **/
/******************************************************************/

#ifndef RiCOSEventsPoolMutex_init_Defined
#define RiCOSEventsPoolMutex_init_Defined
#endif

#ifndef RiCOSEventsPoolMutex_lock_Defined
#define RiCOSEventsPoolMutex_lock_Defined
#endif

#ifndef RiCOSEventsPoolMutex_free_Defined
#define RiCOSEventsPoolMutex_free_Defined
#endif

#ifndef RiCOSMutex_lock_Defined
#define RiCOSMutex_lock_Defined
#endif

#ifndef RiCOSMutex_free_Defined
#define RiCOSMutex_free_Defined
#endif

#include <semaphore.h>
#include <errno.h>    
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h> 
#include <arpa/inet.h>
#include <netdb.h>
#include <sys/utsname.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#if ((defined _OMINSTRUMENT) && (!(defined _OM_TARGET_MON)))

#ifndef TargetOSTypes_Defined
#define TargetOSTypes_Defined

	typedef int RiCOSResult;
	typedef int RiCOSEventHandle;
	typedef int RiCOSTimerHandle; 
	typedef pthread_mutex_t* OSMutexHandle;
	typedef void* RiCOSHandle;


	/***************************************************/
	/****				RiCOSEventFlag				****/
	/***************************************************/
	typedef sem_t* RiCOSEventFlag;


	/***************************************************/
	/****				RiCOSSocket					****/
	/***************************************************/
	typedef struct  RiCOSLinuxSocket {
		int theSock;
	} RiCOSLinuxSocket ;

	typedef RiCOSLinuxSocket RiCOSSocket;

#endif

#ifndef RiCOSMutex_Defined
#define RiCOSMutex_Defined
	/***************************************************/
	/****				RiCOSMutex					****/
	/***************************************************/
	typedef struct RiCOSMutex_t {
		OSMutexHandle hMutex;
		RiCOSHandle owner;
		int count;
	} RiCOSMutex;
#endif

#ifndef RiCOSEndApplication_Defined
#define RiCOSEndApplication_Defined
#endif

void RiCOSEndApplication( RiC_INT32 errorCode );


/***************************************************/
/****				OS Event Flag				****/
/***************************************************/

#ifndef RiCOSEventFlag_init_Defined
#define RiCOSEventFlag_init_Defined
#endif

#ifndef RiCOSEventFlag_cleanup_Defined
#define RiCOSEventFlag_cleanup_Defined
#endif

#ifndef RiCOSEventFlag_create_Defined
#define RiCOSEventFlag_create_Defined
#endif

#ifndef RiCOSEventFlag_destroy_Defined
#define RiCOSEventFlag_destroy_Defined
#endif

#ifndef RiCOSEventFlag_wait_Defined
#define RiCOSEventFlag_wait_Defined
#endif

#ifndef	RiCOSEventFlag_signal_Defined
#define RiCOSEventFlag_signal_Defined
#endif

#ifndef RiCOSEventFlag_reset_Defined
#define RiCOSEventFlag_reset_Defined
#endif

/***************************************************/
/****				OS Mutex					****/
/***************************************************/

#ifndef RiCOSMutex_init_Defined
#define RiCOSMutex_init_Defined
#endif

#ifndef RiCOSMutex_cleanup_Defined
#define RiCOSMutex_cleanup_Defined
#endif


/***************************************************/
/****				OS Task						****/
/***************************************************/

#ifndef RiCOSTask_getCurrentTaskHandle_Defined
#define RiCOSTask_getCurrentTaskHandle_Defined
#endif


/***************************************************/
/****				OS Socket					****/
/***************************************************/

#ifndef initializeOSSocket_Defined
#define initializeOSSocket_Defined
#endif
	
#ifndef RiCOSConnectionPort_Connect_Defined
#define RiCOSConnectionPort_Connect_Defined
#endif

#ifdef MICROC_OXF_CLEANUP
#ifndef RiCOSSocket_cleanup_Defined
#define RiCOSSocket_cleanup_Defined
#endif
#endif

#ifndef INVALID_SOCKET
#define INVALID_SOCKET (-1)
#endif

#ifndef SOCKET_ERROR
#define SOCKET_ERROR (-1)
#endif

#ifndef WSAEINTR
#define WSAEINTR EINTR
#endif

RhpInteger WSAGetLastError();


#endif


