/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
#include "mxf_cfg.h"

#ifdef DEBUG
#include <stdio.h>
#define PDEBUG(X) printf(X)
#define PDEBUG2PARAMS(X,Y) printf(X,Y)
#define PDEBUG3PARAMS(X,Y,Z) printf(X,Y,Z)
#else
#define PDEBUG(X) 
#define PDEBUG2PARAMS(X,Y)
#define PDEBUG3PARAMS(X,Y,Z)
#endif



/************** Definitions and functions needed for TCP protocol *****************/

#ifdef _OM_TARGET_MON_LINUX_TCP

#include <errno.h>    
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h> 
#include <arpa/inet.h>
#include <netdb.h>
#include <sys/utsname.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#ifndef INVALID_SOCKET
#define INVALID_SOCKET (-1)
#endif

#ifndef SOCKET_ERROR
#define SOCKET_ERROR (-1)
#endif

#ifndef WSAEINTR
#define WSAEINTR EINTR
#endif


extern unsigned char OM_TGT_MON_MessageBuffer[];
extern unsigned short int  OM_TGT_MON_MessageLength;


static int					s;   
static struct sockaddr_in	recipient;
static int					inited = FALSE;

void tcp_InitProtocol()
{
	s = socket(AF_INET, SOCK_STREAM, 0);   
	if (s == INVALID_SOCKET)   
	{   
	    PDEBUG2PARAMS("socket() failed; %d\n", errno);
	}
	else
	{
		PDEBUG("Socket Success \n");
	}
	recipient.sin_family = AF_INET;   
	recipient.sin_port = htons((short) 24816);
	if ((recipient.sin_addr.s_addr = inet_addr("127.0.0.1")) == INADDR_NONE)   
	{   
		struct hostent *host=NULL;   

	   host = gethostbyname("localhost");   
	   if (host)
	   {
		 memcpy(&recipient.sin_addr, host->h_addr_list[0],host->h_length);
		 PDEBUG("Hostname Success \n");
	   }
	   else  
		{   
			PDEBUG2PARAMS("gethostbyname() failed: %d\n", 0);
		}
	}
	if ( connect( s, (struct sockaddr *) &recipient, sizeof(recipient) ) == SOCKET_ERROR) 
	{
		PDEBUG( "Failed to connect.\n" );
	}

	return;
}

void tcp_send()
{
	int            ret;

	ret = send(s, OM_TGT_MON_MessageBuffer, OM_TGT_MON_MessageLength, 0);   
    if (ret == SOCKET_ERROR)   
    {   
       PDEBUG2PARAMS("sendto() failed; %d\n", errno);   
    }  
	else 
	{PDEBUG2PARAMS("Sent successfull %d\n",ret);}
	
	return;
}

#endif

/************ End Of Tcp rotocol **************/
