/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
*/

/* Includes *******************************************************************/

#ifndef MXF_SOURCE
#define MXF_SOURCE
#endif
#ifndef MXF_RICOSTARGET_SOURCE
#define MXF_RICOSTARGET_SOURCE
#endif

#ifdef MCBSTM32
#define RICOSMAINTASK_SLEEP

/* The following variables must be volatile otherwise the compiler will optimise them away */
static volatile RiCBoolean sleep = RiCTRUE;
static volatile long clkCount = 0;
static volatile long loopCount = 0;
static volatile long idleCount = 0;

RiCBoolean RiCOSMainTask_WaitStep(void) {
	sleep = RiCTRUE;
	while(sleep == RiCTRUE) {
		/* Do nothing waiting for the SysTick_Handler to set this flag to false */
		idleCount++;
	}
	loopCount++;	
	sleep = RiCTRUE;
	
	return RiCFALSE;
}
void SysTick_Handler (void)  {
	sleep = RiCFALSE;
	clkCount++;
}

RiCOSResult RiCOSAnimMutex_lock(const RiCOSMutex *me)
{
	return RiCTRUE;
}


RiCOSResult RiCOSAnimMutex_free(const RiCOSMutex *me)
{
	return RiCTRUE;
}

#endif
