/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
*/

/* Includes *******************************************************************/

#ifndef MXF_SOURCE
#define MXF_SOURCE
#endif
#ifndef MXF_RICOSTARGET_SOURCE
#define MXF_RICOSTARGET_SOURCE
#endif

#ifdef _STM32x_
#undef FALSE
#undef TRUE
#define RICOSMAINTASK_SLEEP

/* The following variables must be volatile otherwise the compiler will optimise them away */
static volatile RiCBoolean sleep = RiCTRUE;
static volatile long clkCount = 0;
static volatile long loopCount = 0;
static volatile long idleCount = 0;
static volatile int deviceInitialized = 0;

#ifndef _OMINSTRUMENT
void USB_INIT()
{
	return;
}
#endif

RiCBoolean RiCOSMainTask_WaitStep(void) {
	if (!(deviceInitialized))
	{
		Device_Init();
		
		deviceInitialized = RiCTRUE;
		
	}
	while(sleep == RiCTRUE) {
		/* Do nothing waiting for the SysTickHandler to set this flag to false */
		idleCount++;
	}

	sleep = RiCTRUE;
	loopCount++;
		
	return RiCFALSE;
}

void SysTickHandler( void ) {
	if(cachedTimer != NULL){
	    (*(cachedTimer->tickCbkFunc))(cachedTimer->param);
	}
	sleep = RiCFALSE;
	clkCount++;
}

RiCOSResult RiCOSAnimMutex_lock(const RiCOSMutex *me)
{
	return RiCTRUE;
}


RiCOSResult RiCOSAnimMutex_free(const RiCOSMutex *me)
{
	return RiCTRUE;
}

#endif
