/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
/*
**	USB Virtual com port, adapted from STMicroelectronics firmware sample
**
*/

#ifdef _OM_TARGET_MON_PROTOCOL_SECTION
/*********** Use USB port on STM32 Circle **************/
#ifdef _OM_TARGET_MON_STM32CIRCLE_USB

void stm32_USB_InitProtocol();
void stm32_USB_send();

#ifdef OM_TGT_MON_Send_low
#undef OM_TGT_MON_Send_low
#endif
#define OM_TGT_MON_Send_low stm32_USB_send

#ifdef OM_TGT_MON_InitProtocol_low
#undef OM_TGT_MON_InitProtocol_low
#endif
#define OM_TGT_MON_InitProtocol_low stm32_USB_InitProtocol


#endif
/************** End USB on STM32 Circle ***********/
#endif

#ifndef _OM_TARGET_MON_PROTOCOL_SECTION
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TargetMonitorProtocol_H
#define __TargetMonitorProtocol_H

/* used to reset timer after waiting for connection */
extern void RiCTimerManager_resetSystemTimerElapsedTime(void);

#define CONFIGURED 5
extern  vu32 bDeviceState; /* USB device status */
extern volatile bool fSuspendEnabled;  /* true when suspend is possible */

void sendBlock(u8	* pData,	u8	length);

u8 receiveBlock(u8	* pData,	u8	maxLen);

u8 sendAvailable(void);
#endif /* __TargetMonitorProtocol_H */
#endif /* _OM_TARGET_MON_PROTOCOL_SECTION */
