/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2006, 2013. All Rights Reserved.
*/

/* Includes *******************************************************************/

#ifndef MXF_SOURCE
#define MXF_SOURCE
#endif
#ifndef MXF_RICOSTARGET_SOURCE
#define MXF_RICOSTARGET_SOURCE
#endif

#ifdef WIN32
#define RICOSMAINTASK_SLEEP
#include "RiCOS.h"
static int sleep = FALSE;
static HANDLE TimerTickEvent;

VOID CALLBACK SysTimerCallback ( HWND hDummy, UINT msgDummy, UINT_PTR dummyEvId, DWORD dummyTimerId )
{
  if(cachedTimer != NULL){
	(*(cachedTimer->tickCbkFunc))(cachedTimer->param);
  }
  SetEvent(TimerTickEvent);
  sleep = FALSE;
}

DWORD WINAPI startTimerThread( void * dummy )
{
	MSG Msg;
	UINT_PTR appSysTimer = SetTimer ( NULL, 1, RICTIMERMANAGER_TIME_CYCLE, &SysTimerCallback);
	while ( (TRUE) )
	{
		PeekMessage(&Msg, NULL, WM_TIMER, WM_TIMER, FALSE);
		if ((Msg.message == WM_TIMER) && (Msg.wParam == appSysTimer))
		{
			GetMessage(&Msg, NULL, WM_TIMER, WM_TIMER);
			DispatchMessage(&Msg);
		}
	}
	return 0;
}

void createAndStartTimer()
{
	DWORD dummyId;
	CreateThread(NULL, 0, startTimerThread, NULL, 0, &dummyId);
}


RiCBoolean RiCOSMainTask_WaitStep(void)
{
	static RhpBoolean deviceInitialized = RiCFALSE;
	if (!(deviceInitialized))
	{
		TimerTickEvent = CreateEvent( NULL, FALSE /*autoreset*/, FALSE /* initially not signaled */,NULL );
		createAndStartTimer();
		deviceInitialized = RiCTRUE;
	}
	WaitForSingleObject(TimerTickEvent,INFINITE);
	ResetEvent(TimerTickEvent);
	sleep = TRUE;

	return RiCFALSE;
}


RiCOSResult RiCOSAnimMutex_lock(const RiCOSMutex *me)
{
#if ((defined _OMINSTRUMENT) && (!(defined _OM_TARGET_MON)))
	RiCOSResult res = (RiCOSResult)WAIT_FAILED;
	if (me != NULL) 
	{ 
		res = (RiCOSResult)WaitForSingleObject(me->hMutex, INFINITE);
	}
	return res;
#else
	return RiCTRUE;
#endif
}


RiCOSResult RiCOSAnimMutex_free(const RiCOSMutex *me)
{
#if ((defined _OMINSTRUMENT) && (!(defined _OM_TARGET_MON)))
	RiCOSResult res = 0;

	if (me != NULL) 
	{
		res = (RiCOSResult) ReleaseMutex(me->hMutex);
	}
	return res;
#else
	return RiCTRUE;
#endif
}

#endif
