/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
*/

/******************************************************************
 ---------------------------------------------------------------
|					RiCOSTargetOSServices.h                     |
 --------------------------------------------------------------- 
*******************************************************************/
/******************************************************************/
/** This file is used to define target-apdator specific			 **/
/** definitions, over-riding the OS-adaptor default definitions. **/
/**	Specifically, declaring MXF types depending					 **/
/** on native OS types, and pre-processor flags to over-ride	 **/
/** functions implemented in the OS-adaptor with the			 **/
/** implementations defined in RiCOSTargetServices.c.			 **/
/******************************************************************/
#ifndef RiCOSEventsPoolMutex_init_Defined
#define RiCOSEventsPoolMutex_init_Defined
#endif

#ifndef RiCOSEventsPoolMutex_lock_Defined
#define RiCOSEventsPoolMutex_lock_Defined
#endif

#ifndef RiCOSEventsPoolMutex_free_Defined
#define RiCOSEventsPoolMutex_free_Defined
#endif

#ifndef RiCOSMutex_lock_Defined
#define RiCOSMutex_lock_Defined
#endif

#ifndef RiCOSMutex_free_Defined
#define RiCOSMutex_free_Defined
#endif

#if ((defined _OMINSTRUMENT) && (!(defined _OM_TARGET_MON)))

#ifdef GNAT
#include <Sockets.h>
#else
#if (defined WIN32)
#include <winsock.h>	/* TCP/IP */
#include <windows.h>
#endif /* WIN32 */
#endif /* GNAT */

#ifndef TargetOSTypes_Defined
#define TargetOSTypes_Defined

	typedef DWORD RiCOSResult;
	typedef HANDLE RiCOSEventHandle;
	typedef HANDLE RiCOSTimerHandle; 
	typedef HANDLE OSMutexHandle;
	typedef HANDLE RiCOSHandle;
	/***************************************************/
	/****				RiCOSEventFlag				****/
	/***************************************************/
	typedef HANDLE RiCOSEventFlag;

	/***************************************************/
	/****				RiCOSSocket					****/
	/***************************************************/
	typedef struct RiCNTSocket_t {
		SOCKET theSock;
	} RiCNTSocket ;
	typedef RiCNTSocket RiCOSSocket;
	
	typedef unsigned (__stdcall * start_addr_t) (void *);

#endif
	
#ifndef RiCOSEndApplication_Defined
#define RiCOSEndApplication_Defined
#endif

void RiCOSEndApplication( RiC_INT32 errorCode );


/***************************************************/
/****				OS Event Flag				****/
/***************************************************/

#ifndef RiCOSEventFlag_init_Defined
#define RiCOSEventFlag_init_Defined
#endif

#ifndef RiCOSEventFlag_cleanup_Defined
#define RiCOSEventFlag_cleanup_Defined
#endif

#ifndef RiCOSEventFlag_create_Defined
#define RiCOSEventFlag_create_Defined
#endif

#ifndef RiCOSEventFlag_destroy_Defined
#define RiCOSEventFlag_destroy_Defined
#endif

#ifndef RiCOSEventFlag_wait_Defined
#define RiCOSEventFlag_wait_Defined
#endif

#ifndef	RiCOSEventFlag_signal_Defined
#define RiCOSEventFlag_signal_Defined
#endif

#ifndef RiCOSEventFlag_reset_Defined
#define RiCOSEventFlag_reset_Defined
#endif

/***************************************************/
/****				OS Mutex					****/
/***************************************************/

#ifndef RiCOSMutex_init_Defined
#define RiCOSMutex_init_Defined
#endif

#ifndef RiCOSMutex_cleanup_Defined
#define RiCOSMutex_cleanup_Defined
#endif


/***************************************************/
/****				OS Task						****/
/***************************************************/

#ifndef RiCOSTask_getCurrentTaskHandle_Defined
#define RiCOSTask_getCurrentTaskHandle_Defined
#endif


/***************************************************/
/****				OS Socket					****/
/***************************************************/

#ifndef initializeOSSocket_Defined
#define initializeOSSocket_Defined
#endif
	
#ifndef RiCOSConnectionPort_Connect_Defined
#define RiCOSConnectionPort_Connect_Defined
#endif

#ifdef MICROC_OXF_CLEANUP
#ifndef RiCOSSocket_cleanup_Defined
#define RiCOSSocket_cleanup_Defined
#endif
#endif

#endif

