/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2000, 2011. All Rights Reserved.

*/

/********************************************************************
 ---------------------------------------------------------------
|							  IRiCReactive.c                    |
 --------------------------------------------------------------- 
*********************************************************************/
#ifndef MXF_SOURCE
#define MXF_SOURCE
#endif
#ifndef MXF_IRICREACTIVE_SOURCE
#define MXF_IRICREACTIVE_SOURCE
#endif

#include "mxf_cfg.h"
#ifdef RIC_USE_RAPID_PORTS

#include "IRiCReactive.h"
/*
	Constructor of IRiCReactive - this is convenient 
	to initialize the virtual table
*/
void IRiCReactive_Init(IRiCReactive* const me, const IRiCReactive_Vtbl* pVtbl) 
{
	if (me != NULL)
		me->IRiCReactivevtbl = pVtbl;
}

/*
	The gen() method: Find the "real" me by substructing the offset (in other
	words the pointer to the realizing object) and call the operation 
	pointed by gen (in the virtual table)
*/
RiCBoolean IRiCReactive_gen(RhpAddress const me, RiCEvent* pEvent, RiCBoolean fromISR) 
{
	RiCBoolean res = RiCFALSE;
	if (me != NULL)
	{
		IRiCReactive* this_=(IRiCReactive*)me;
		IRiCReactive_Vtbl* cur_vtbl=(IRiCReactive_Vtbl*)( this_->IRiCReactivevtbl );
		if ((cur_vtbl != NULL) && (cur_vtbl->gen != NULL))
		{
			RhpAddress realMe = me;
			size_t *addr = (size_t *) &realMe;
			*addr = ((*addr) - cur_vtbl->IRiCReactive_offset);
			res = (*cur_vtbl->gen)(realMe, pEvent, fromISR);
		}
	}
	return res;
}

#endif

