/* Licensed Materials - Property of IBM */
/* (c) Copyright IBM Corporation 2009, 2012. All Rights Reserved. */
  
#ifndef RiCMcRPort_H
#define RiCMcRPort_H

#include "mxf_cfg.h"
#include "RiCReactive.h"
#include "IRiCReactive.h"
#ifdef MICROC_FLAT_INCLUDE
#include "RiCCollection.h"
#else
#include "Utils/RiCCollection.h"
#endif

typedef struct RiCMcRPort_t RiCMcRPort;
typedef struct RiCMcRInbound_t RiCMcRInbound;
typedef struct RiCMcROutbound_t RiCMcROutbound;

typedef IRiCReactive_Vtbl RiCMcRInbound_Vtbl;

struct RiCMcRInbound_t
{
	/* implementation of IRiCReactive */
	RiCMcRInbound_Vtbl* m_vtbl;

	/* association to IRiCReactive */
	RiCCollection itsIRiCReactive;

	/* the address of the containing port - 
	   for RiCIS_PORT macro support */
	void* m_portAddress;
};


typedef IRiCReactive_Vtbl RiCMcROutbound_Vtbl;

struct RiCMcROutbound_t
{
	/* implementation of IRiCReactive */
	RiCMcROutbound_Vtbl* m_vtbl;

	/* association to IRiCReactive */
	RiCCollection itsIRiCReactive;

};

struct RiCMcRPort_t
{
	RiCMcRInbound inbound;
	RiCMcROutbound outbound;
};

/* Rapid port class */
void RiCMcRPort_Init(RiCMcRPort* const me);

void RiCMcRPort_Cleanup(RiCMcRPort* const me);


/* Inbound */
void RiCMcRInbound_Init(RiCMcRInbound* const me, void* const portAddress);

void RiCMcRInbound_Cleanup(RiCMcRInbound* const me);

RiCBoolean RiCMcRInbound_gen(void * const me, RiCEvent * event, RiCBoolean fromISR);

RiCCollection* RiCMcRInbound_getItsIReactive(RiCMcRInbound* const me);

void RiCMcRInbound_setItsIReactive(RiCMcRInbound* const me, void* const p_reactive);

void RiCMcRInbound_addItsIReactive(RiCMcRInbound* const me, void* const p_reactive);


/* Outbound */
void RiCMcROutbound_Init(RiCMcROutbound* const me);

void RiCMcROutbound_Cleanup(RiCMcROutbound* const me);

RiCBoolean RiCMcROutbound_gen(void* const me, RiCEvent * event, RiCBoolean fromISR);

RiCCollection* RiCMcROutbound_getItsIReactive(RiCMcROutbound* const me);

void RiCMcROutbound_setItsIReactive(RiCMcROutbound* const me, void* const p_reactive);

void RiCMcROutbound_addItsIReactive(RiCMcROutbound* const me, void* const p_reactive);

#endif

