#ifndef RiCDefaultReactivePort_H
#define RiCDefaultReactivePort_H

/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2000, 2011. All Rights Reserved.

*/

/********************************************************************
 ---------------------------------------------------------------
|			     	RiCDefaultReactivePort.h                    |
 --------------------------------------------------------------- 
*********************************************************************/


#include "mxf_cfg.h"  
#include "IRiCReactive.h"


/*
	The virtual table is the same as IRiCReactive_Vtbl
*/
typedef IRiCReactive_Vtbl RiCDefaultReactiveInbound_Vtbl;

typedef struct RiCDefaultReactiveInbound_t
{
	/* implementation of IRiCReactive */
	RiCDefaultReactiveInbound_Vtbl* vtbl;

	/* association to IRiCReactive */
	IRiCReactive* itsIRiCReactive;

	/* the address of the containing port - 
	   for RiCIS_PORT macro support */
	RhpAddress portAddress;
}RiCDefaultReactiveInbound;


/*
	The virtual table is the same as IRiCReactive_Vtbl
*/
typedef IRiCReactive_Vtbl RiCDefaultReactiveOutbound_Vtbl;

typedef struct RiCDefaultReactiveOutbound_t
{
	/* implementation of IRiCReactive */
	RiCDefaultReactiveOutbound_Vtbl* vtbl;

	/* association to IRiCReactive */
	IRiCReactive* itsIRiCReactive;

}RiCDefaultReactiveOutbound;


typedef struct RiCDefaultReactivePort_t
{
	RiCDefaultReactiveInbound inbound;
	RiCDefaultReactiveOutbound outbound;
}RiCDefaultReactivePort;

/* Rapid port class */
void RiCDefaultReactivePort_Init(RiCDefaultReactivePort* const me);


/* Inbound */

void RiCDefaultReactiveInbound_Init(RiCDefaultReactiveInbound* const me, RhpAddress pPortAddress);

RiCBoolean RiCDefaultReactiveInbound_gen(RhpAddress const me, RiCEvent * pEvent, RiCBoolean fromISR);

IRiCReactive* RiCDefaultReactiveInbound_getItsIRiCReactive(RiCDefaultReactiveInbound* const me);

void RiCDefaultReactiveInbound_setItsIRiCReactive(RiCDefaultReactiveInbound* const me, RhpAddress pReactive);


/* Outbound */

void RiCDefaultReactiveOutbound_Init(RiCDefaultReactiveOutbound* const me);

RiCBoolean RiCDefaultReactiveOutbound_gen(RhpAddress const me, RiCEvent * pEvent, RiCBoolean fromISR);

IRiCReactive* RiCDefaultReactiveOutbound_getItsIRiCReactive(RiCDefaultReactiveOutbound* const me);

void RiCDefaultReactiveOutbound_setItsIRiCReactive(RiCDefaultReactiveOutbound* const me, RhpAddress pReactive);




#endif

