#ifndef RiCOSAutosarRte_H
#define RiCOSAutosarRte_H 

/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2009, 2012. All Rights Reserved.
*/

#include "mxf_cfg.h"
#include "RiCEventQueue.h"
#if ((defined _OMINSTRUMENT) && (!(defined _OM_TARGET_MON)))
#ifdef MICROC_FLAT_INCLUDE
#include "omsdata.h"
#else
#include "omcom/omsdata.h"
#endif
#endif
#if ((defined _OMINSTRUMENT) && (!(defined _OM_TARGET_MON)))
#ifdef GNAT
#include <Sockets.h>
#else
#include <winsock.h>	/* TCP/IP */
#endif
#endif

	/***************************************************/
	/****			OS specific Types				****/
	/***************************************************/
	typedef RiC_UCHAR8 RiCOSResult;
	typedef RiC_UCHAR8 RiCOSHandle;
	typedef RiC_UCHAR8 RiCOSEventHandle;
	typedef RiC_UCHAR8 RiCOSTimerHandle; 
	typedef void (*OSMutexHandle)(RhpBoolean doLock);
	typedef void (*RiCOSTaskEndCallBack)(RhpAddress pAddr);
	typedef TickType OSTimeUnit;
	
	/***************************************************/
	/****				RiCOSEventFlag				****/
	/***************************************************/
	typedef RiCOSEventHandle RiCAutosarRteEventFlag;
	typedef RiCAutosarRteEventFlag RiCOSEventFlag;

	/***************************************************/
	/****				RiCOSMutex					****/
	/***************************************************/
	typedef struct RiCAutosarRteMutex_t {
		OSMutexHandle hMutex;
	} RiCAutosarRteMutex ;
	typedef RiCAutosarRteMutex RiCOSMutex ;
/* Justification: Violation of Misra98 Rule96 */
/* Macro body expands to braced initializer   */
/*LDRA_INSPECTED 77 S */
/*LDRA_INSPECTED 79 S */
#define STATIC_INIT_RICOS_MUTEX() { (OSMutexHandle)0 }
	
	/***************************************************/
	/****				RiCOSTask					****/
	/***************************************************/
	typedef struct RiCAutosarRteTask_t {
		RiCOSHandle osTask;
		RiCOSEventHandle queueEvent;
		RiCBoolean			 pendingEvents;    /* the eventFlag to be used with a Asynchronized Active */
	} RiCAutosarRteTask;
	typedef RiCAutosarRteTask RiCOSTask;


	/***************************************************/
	/****				RiCOSTimer					****/
	/***************************************************/
	typedef struct RiCAutosarRteTimer_t {
		void  (* OXF_CONST cbkfunc)(RhpAddress);
		void  (* OXF_CONST tickCbkFunc)(RhpAddress);
		timeUnit m_Time ;
		RhpAddress param;
	} RiCAutosarRteTimer ;
	typedef RiCAutosarRteTimer RiCOSTimer;


	/***************************************************/
	/****			RiCOSMessageQueue				****/
	/***************************************************/
	typedef struct RiCAutosarRteMessageQueue_t {
		RiCEventQueue m_baseQueue;
	} RiCAutosarRteMessageQueue ;
	typedef RiCAutosarRteMessageQueue RiCOSMessageQueue;
	
	/***************************************************/
	/****				RiCOSSemaphore				****/
	/***************************************************/
	typedef struct RiCAutosarRteSemaphore_t {
		OSMutexHandle hSemaphore;
	} RiCAutosarRteSemaphore ;
	typedef RiCAutosarRteSemaphore RiCOSSemaphore;
	
	
#if ((defined _OMINSTRUMENT) && (!(defined _OM_TARGET_MON)))

	/***************************************************/
	/****				RiCOSSocket					****/
	/***************************************************/
	typedef struct RiCNTSocket_t {
		SOCKET theSock;
	} RiCNTSocket ;
	typedef RiCNTSocket RiCOSSocket;
	
	
	/***************************************************/
	/****			RiCOSConnectionPort				****/
	/***************************************************/

	typedef void (*RiCOSConnectionPortDispatchFunc)(RiCSData *);
	
	typedef struct RiCNTConnectionPort_t {
		RiCOSMutex m_SendMutex ;
		RhpInteger m_Connected;
		RiCOSConnectionPortDispatchFunc m_dispatchfunc;
		HANDLE hSocketHandleThread;
		RiCOSSocket m_ntSocket;
		RhpInteger m_ShouldWaitForAck;
		RiCOSEventFlag m_AckEventFlag;
		RhpInteger m_NumberOfMessagesBetweenAck;
		RiCBoolean m_exitOnDisconnect;
	} RiCNTConnectionPort ;
	typedef RiCNTConnectionPort RiCOSConnectionPort;
	
#endif


#endif
