#ifndef RiCOSOsek_H
#define RiCOSOsek_H

/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
*/


#include <osprop.h>
#include <osapi.h>
#include "cfg.h"
#include "mxf_cfg.h"
#include "RiCEventQueue.h"

	/***************************************************/
	/****			OS specific Types				****/
	/***************************************************/
	typedef StatusType RiCOSResult;
	typedef TaskType RiCOSHandle;
#ifdef OSEVENT
	typedef EventMaskType RiCOSEventHandle;
#else
	typedef RhpCharacter RiCOSEventHandle;
#endif
	typedef AlarmType RiCOSTimerHandle; 
	typedef ResourceType OSMutexHandle;
	typedef void (*RiCOSTaskEndCallBack)(RhpAddress pAddr);
	typedef TickType OSTimeUnit;
	
	
	/***************************************************/
	/****				RiCOSEventFlag				****/
	/***************************************************/
	typedef struct RiCOSEventFlag_t {
		RiCOSEventHandle hEventFlag;
		RiCOSHandle      hEventFlagItsTask;
	} RiCOSEventFlag ;
	
	/***************************************************/
	/****				RiCOSMutex					****/
	/***************************************************/
	typedef struct RiCOSMutex_t {
		OSMutexHandle hMutex;
	} RiCOSMutex ;
/*LDRA_INSPECTED 77 S */
/*LDRA_INSPECTED 79 S */
#define STATIC_INIT_RICOS_MUTEX() { RES_SCHEDULER }
	
	/***************************************************/
	/****				RiCOSTask					****/
	/***************************************************/
	typedef struct RiCOSTask_t {
		RiCOSHandle osTask;
		RiCOSEventHandle queueEvent;
	} RiCOSTask;

	
	/***************************************************/
	/****				RiCOSTimer					****/
	/***************************************************/
	typedef struct RiCOSTimer_t {
		void OXF_CONST (*cbkfunc)(RhpAddress);
		void  (* OXF_CONST tickCbkFunc)(RhpAddress);
		timeUnit m_Time ;
		RhpAddress param;
	} RiCOSTimer ;

	
	/***************************************************/
	/****			RiCOSMessageQueue				****/
	/***************************************************/
	typedef struct RiCOSMessageQueue_t {
		RiCEventQueue m_baseQueue;
	} RiCOSMessageQueue ;
	
	/***************************************************/
	/****				RiCOSSemaphore				****/
	/***************************************************/
	typedef struct RiCOSSemaphore_t {
		OSMutexHandle hSemaphore;
	} RiCOSSemaphore ;
	
#if ((defined _OMINSTRUMENT) && (!(defined _OM_TARGET_MON)))
#ifdef GNAT
#include <Sockets.h>
#else
#include <winsock.h>	/* TCP/IP */
#endif

	/***************************************************/
	/****				RiCOSSocket					****/
	/***************************************************/
	typedef struct RiCOSSocket_t {
		SOCKET theSock;
	} RiCOSSocket ;
	
	
	/***************************************************/
	/****			RiCOSConnectionPort				****/
	/***************************************************/

	typedef void (*RiCOSConnectionPortDispatchFunc)(RiCSData *);
	
	typedef struct RiCOSConnectionPort_t {
		RiCOSMutex m_SendMutex ;
		RhpInteger m_Connected;
		RiCOSConnectionPortDispatchFunc m_dispatchfunc;
		HANDLE hSocketHandleThread;
		RiCOSSocket m_ntSocket;
		RhpInteger m_ShouldWaitForAck;
		RiCOSEventFlag m_AckEventFlag;
		RhpInteger m_NumberOfMessagesBetweenAck;
	} RiCOSConnectionPort ;
	
#endif

#endif
