#ifndef RiCStack_H
#define RiCStack_H

/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
*/

/*******************************************************************
 ---------------------------------------------------------------
|							  RiCStack.h                          |
 --------------------------------------------------------------- 
********************************************************************/
  
#include "mxf_cfg.h"
#include "RiCList.h"


/******************************************/
/**			Defenition of RiCStack		 **/
/******************************************/
typedef struct RiCStack_t {
	RiCList stack;
} RiCStack;


/***************************************************/
/****          Creation and Destruction         ****/
/***************************************************/

void RiCStack_Init(RiCStack * const me);

void RiCStack_Cleanup(RiCStack * const me);
void RiCStack_Destroy(RiCStack * const me);

RiCStack * RiCStack_Create(void);


/***************************************************/
/****				Stack methods	            ****/
/***************************************************/

/** Push an element into the stack **/
RiCBoolean RiCStack_push(RiCStack * const me, gen_ptr const pItem);

/** Pop an element from the stack **/
gen_ptr RiCStack_pop(RiCStack * const me);

/** Get the element at the stack top **/
gen_ptr RiCStack_top(const RiCStack * const me);

/** Check if the stack is empty **/
RiCBoolean RiCStack_isEmpty(const RiCStack * const me);

/***************************************************/
/****            Iteration methods              ****/
/***************************************************/

/** Set iteration to the first element in the Stack **/
gen_ptr RiCStack_first(const RiCStack * const me, gen_ptr * pPos);

/** Set iteration to the next element in the Stack **/
gen_ptr RiCStack_next(const RiCStack * const me, gen_ptr * const pPos);

/** Get the current element in the iteration **/
gen_ptr RiCStack_get(const RiCStack * const me, const gen_ptr pPos);

/** Check of last element, return RiCTRUE when the current element,
	is the last element in the Stack **/
RiCBoolean RiCStack_isDone(const RiCStack * const me, const gen_ptr pPos);



#endif

