/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2016. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
function main(){
    var mapping=new Array();
    
    
    mapping.LinSlaveConfig=
    function(element){
    	handleDeleteTag(element, "configuredNad");
    	handleDeleteTag(element, "protocolVersion");
    	handleDeleteStereotype(element, "LinSlaveConfig");
    	handleDeleteStereotypeFromAggregates(element, "linErrorResponse");
    	handleDeleteStereotypeFromAggregates(element, "l_linSlaveEcu");
    };
    
    mapping.SlData10=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "issuedBy");
    	handleDeleteStereotypeFromAggregates(element, "state");
    };
    
    mapping.Dependency=
    function(element){
    	handleRenameStereotype(element, "Dependency", "DependencyOnArtifact");
    };
    
    mapping.ImplementationConfigClass=
    function(element){
    	handleRenameStereotype(element, "ImplementationConfigClass", "EcucImplementationConfigurationClass");
    };
    
    mapping.ServerCallPoint_operation=
    function(element){
    	handleOldIref(element, "ServerCallPoint_operation");
    };
    
    mapping.FlexrayCommunicationController=
    function(element){
    	handleMoveTagInNewElement(element, "acceptedStartupRange", "FlexrayCommunicationControllerVariant", "acceptedStartupRange");
    	handleMoveTagInNewElement(element, "allowHaltDueToClock", "FlexrayCommunicationControllerVariant", "allowHaltDueToClock");
    	handleMoveTagInNewElement(element, "allowPassiveToActive", "FlexrayCommunicationControllerVariant", "allowPassiveToActive");
    	handleMoveTagInNewElement(element, "clusterDriftDamping", "FlexrayCommunicationControllerVariant", "clusterDriftDamping");
    	handleMoveTagInNewElement(element, "decodingCorrection", "FlexrayCommunicationControllerVariant", "decodingCorrection");
    	handleMoveTagInNewElement(element, "delayCompensationA", "FlexrayCommunicationControllerVariant", "delayCompensationA");
    	handleMoveTagInNewElement(element, "delayCompensationB", "FlexrayCommunicationControllerVariant", "delayCompensationB");
    	handleMoveTagInNewElement(element, "externOffsetCorrection", "FlexrayCommunicationControllerVariant", "externOffsetCorrection");
    	handleMoveTagInNewElement(element, "externRateCorrection", "FlexrayCommunicationControllerVariant", "externRateCorrection");
    	handleDeleteTag(element, "dynamicSegmentEnable");
    	handleMoveTagInNewElement(element, "externalSync", "FlexrayCommunicationControllerVariant", "externalSync");
    	handleMoveTagInNewElement(element, "fallBackInternal", "FlexrayCommunicationControllerVariant", "fallBackInternal");
    	handleDeleteTag(element, "microPerMacroNom");
    	handleDeleteTag(element, "nmControlBitVectorEnabled");
    	handleDeleteTag(element, "nmNodeDetectionEnabled");
    	handleDeleteTag(element, "nmSourceNodeIdentifierEnabled");
    	handleDeleteTag(element, "nmUserDataEnabled");
    	handleMoveTagInNewElement(element, "nmVectorEarlyUpdate", "FlexrayCommunicationControllerVariant", "nmVectorEarlyUpdate");
    	handleMoveTagInNewElement(element, "secondKeySlotId", "FlexrayCommunicationControllerVariant", "secondKeySlotId");
    	handleDeleteTag(element, "startUpNode");
    	handleDeleteTag(element, "syncSlot");
    	handleMoveTagInNewElement(element, "twoKeySlotMode", "FlexrayCommunicationControllerVariant", "twoKeySlotMode");
    	handleMoveTagInNewElement(element, "twoKeySlotMode", "FlexrayCommunicationControllerVariant", "twoKeySlotMode");
    	handleMoveTagInNewElement(element, "keySlotID", "FlexrayCommunicationControllerVariant", "keySlotID");
    	handleMoveTagInNewElement(element, "keySlotOnlyEnabled", "FlexrayCommunicationControllerVariant", "keySlotOnlyEnabled");
    	handleMoveTagInNewElement(element, "keySlotUsedForStartUp", "FlexrayCommunicationControllerVariant", "keySlotUsedForStartUp");
    	handleMoveTagInNewElement(element, "keySlotUsedForSync", "FlexrayCommunicationControllerVariant", "keySlotUsedForSync");
    	handleMoveTagInNewElement(element, "latestTX", "FlexrayCommunicationControllerVariant", "latestTX");
    	handleMoveTagInNewElement(element, "listenTimeout", "FlexrayCommunicationControllerVariant", "listenTimeout");
    	handleMoveTagInNewElement(element, "macroInitialOffsetA", "FlexrayCommunicationControllerVariant", "macroInitialOffsetA");
    	handleMoveTagInNewElement(element, "macroInitialOffsetB", "FlexrayCommunicationControllerVariant", "macroInitialOffsetB");
    	handleMoveTagInNewElement(element, "maximumDynamicPayloadLength", "FlexrayCommunicationControllerVariant", "maximumDynamicPayloadLength");
    	handleMoveTagInNewElement(element, "microInitialOffsetA", "FlexrayCommunicationControllerVariant", "microInitialOffsetA");
    	handleMoveTagInNewElement(element, "microInitialOffsetB", "FlexrayCommunicationControllerVariant", "microInitialOffsetB");
    	handleMoveTagInNewElement(element, "microPerCycle", "FlexrayCommunicationControllerVariant", "microPerCycle");
    	handleMoveTagInNewElement(element, "microtickDuration", "FlexrayCommunicationControllerVariant", "microtickDuration");
    	handleMoveTagInNewElement(element, "offsetCorrectionOut", "FlexrayCommunicationControllerVariant", "offsetCorrectionOut");
    	handleMoveTagInNewElement(element, "rateCorrectionOut", "FlexrayCommunicationControllerVariant", "rateCorrectionOut");
    	handleMoveTagInNewElement(element, "samplesPerMicrotick", "FlexrayCommunicationControllerVariant", "samplesPerMicrotick");
    	handleMoveTagInNewElement(element, "wakeUpPattern", "FlexrayCommunicationControllerVariant", "wakeUpPattern");
    	handleDeleteStereotypeFromAggregates(element, "flexrayFifo");
    };
    
    mapping.StackUsage=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_ecu");
    	handleDeleteStereotypeFromAggregates(element, "l_runnable");
    };
    
    mapping.FrameTriggering=
    function(element){
    	handleMoveReferenceInNewElement(element, "l_iPduTriggering", "PduTriggeringRefConditional", "l_pduTriggering");
    };
	
	mapping.Frame=
    function(element){
		handleRenameStereotype(element, "Frame", getPropertyValueOfElement(element, "Frame"));
    };
    
    mapping.SwcSupervisedEntityNeeds=
    function(element){
    	handleDeleteStereotype(element, "SwcSupervisedEntityNeeds");
		handleDeleteStereotypeFromAggregates(element, "serviceCallPort");
    };
    
    mapping.SenderReceiverToSignalMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_signal");
    };
    
    mapping.PrimitiveSpecification=
    function(element){
    	handleMoveCommentInNewElementFromValidOwner(element, "SwDataDefProps", "SwDataDefPropsVariant");
		if(hasStereotypeApplied(element, "PrimitiveSpecification"))
			handleRenameStereotype(element, "PrimitiveSpecification", getPropertyValueOfElement(element, "PrimitiveSpecification"));
    };
    
    mapping.CalprmAccess=
    function(element){
    	handleRenameStereotype(element, "CalprmAccess", "ParameterAccess");
		transformTagsFromOldStereotypeToLocalTag(element, "CalprmAccess");
    };
    
    mapping.Xfile=
    function(element){
    	handleDeleteTag(element, "mixedContentIndex");
    	handleDeleteTag(element, "shortName");
    	handleDeleteStereotypeFromAggregates(element, "xfile");
    };
    
    mapping.CharLiteral=
    function(element){
    	if(handleRenameStereotype(element, "CharLiteral", "TextValueSpecification") && hasStereotypeApplied(element.getOwner(), "PortAPIOption"))
   handleMoveInNewChild(element, "PortDefinedArgumentValue");
    };
    
    mapping.ComplexDeviceDriverComponentType=
    function(element){
    	handleRenameStereotype(element, "ComplexDeviceDriverComponentType", "ComplexDeviceDriverSwComponentType");
    	handleDeleteStereotypeFromAggregates(element, "l_bswModuleDescription");
    	handleDeleteStereotypeFromAggregates(element, "l_hardwareElement");
    };
    
    mapping.CalprmComponentType=
    function(element){
    	handleRenameStereotype(element, "CalprmComponentType", "ParameterSwComponentType");
    };
    
    mapping.ModeSwitchEvent_mode=
    function(element){
    	handleOldIref(element, "ModeSwitchEvent_mode");
    };
    
    mapping.FlexrayIsoTpConnectionControl=
    function(element){
    	handleDeleteTag(element, "ackType");
    	handleDeleteTag(element, "maxAr");
    	handleDeleteTag(element, "maxAs");
    	handleDeleteTag(element, "maxBufferSize");
    	handleDeleteTag(element, "maxFcWait");
    	handleDeleteTag(element, "maxFrIf");
    	handleDeleteTag(element, "maxNumberOfNpduPerCycle");
    	handleDeleteTag(element, "maxRetries");
    	handleDeleteTag(element, "separationCycleExponent");
    	handleDeleteTag(element, "timeBr");
    	handleDeleteTag(element, "timeBuffer");
    	handleDeleteTag(element, "timeFrIf");
    	handleDeleteTag(element, "timeoutAr");
    	handleDeleteTag(element, "timeoutAs");
    	handleDeleteTag(element, "timeoutBs");
    	handleDeleteTag(element, "timeoutCr");
    	handleDeleteStereotype(element, "FlexrayIsoTpConnectionControl");
    };
    
    mapping.FlexrayCluster=
    function(element){
    	handleMoveTagInNewElement(element, "actionPointOffset", "FlexrayClusterConditional", "actionPointOffset");
    	handleMoveTagInNewElement(element, "bit", "FlexrayClusterConditional", "bit");
    	handleMoveTagInNewElement(element, "casRxLowMax", "FlexrayClusterConditional", "casRxLowMax");
    	handleMoveTagInNewElement(element, "coldStartAttempts", "FlexrayClusterConditional", "coldStartAttempts");
    	handleMoveTagInNewElement(element, "cycle", "FlexrayClusterConditional", "cycle");
    	handleDeleteTag(element, "busGuardianEnablePart");
    	handleDeleteTag(element, "casRxLowMin");
    	handleDeleteTag(element, "cycleCountMax");
    	handleMoveTagInNewElement(element, "ignoreAfterTx", "FlexrayClusterConditional", "ignoreAfterTx");
    	handleRenameTag(element, "macroInitialOffset", "macroInitialOffsetA");
    	handleMoveTagInNewElement(element, "macrotickDuration", "FlexrayClusterConditional", "macrotickDuration");
    	handleDeleteTag(element, "maxInitialisationError");
    	handleDeleteTag(element, "maxPropagationDelay");
    	handleDeleteTag(element, "minPropagationDelay");
    	handleMoveTagInNewElement(element, "networkManagementVectorLength", "FlexrayClusterConditional", "networkManagementVectorLength");
    	handleMoveTagInNewElement(element, "nmDataCycle", "FlexrayClusterConditional", "nmDataCycle");
    	handleMoveTagInNewElement(element, "nmReadySleepCount", "FlexrayClusterConditional", "nmReadySleepCount");
    	handleDeleteTag(element, "nmRemoteSleepIndicationTime");
    	handleDeleteTag(element, "nmRepeatMessageTime");
    	handleDeleteTag(element, "nmRepetitionCycle");
    	handleDeleteTag(element, "nmVotingCycle");
    	handleDeleteTag(element, "numberOfCycles");
    	handleDeleteTag(element, "offsetCorrectionMax");
    	handleMoveTagInNewElement(element, "symbolWindowActionPointOffset", "FlexrayClusterConditional", "symbolWindowActionPointOffset");
    	handleDeleteTag(element, "tranceiverStandbyDelay");
    	handleMoveTagInNewElement(element, "dynamicSlotIdlePhase", "FlexrayClusterConditional", "dynamicSlotIdlePhase");
    	handleMoveTagInNewElement(element, "listenNoise", "FlexrayClusterConditional", "listenNoise");
    	handleMoveTagInNewElement(element, "macroPerCycle", "FlexrayClusterConditional", "macroPerCycle");
    	handleMoveTagInNewElement(element, "maxWithoutClockCorrectionFatal", "FlexrayClusterConditional", "maxWithoutClockCorrectionFatal");
    	handleMoveTagInNewElement(element, "maxWithoutClockCorrectionPassive", "FlexrayClusterConditional", "maxWithoutClockCorrectionPassive");
    	handleMoveTagInNewElement(element, "minislotActionPointOffset", "FlexrayClusterConditional", "minislotActionPointOffset");
    	handleMoveTagInNewElement(element, "minislotDuration", "FlexrayClusterConditional", "minislotDuration");
    	handleMoveTagInNewElement(element, "networkIdleTime", "FlexrayClusterConditional", "networkIdleTime");
    	handleMoveTagInNewElement(element, "numberOfMinislots", "FlexrayClusterConditional", "numberOfMinislots");
    	handleMoveTagInNewElement(element, "numberOfStaticSlots", "FlexrayClusterConditional", "numberOfStaticSlots");
    	handleMoveTagInNewElement(element, "offsetCorrectionStart", "FlexrayClusterConditional", "offsetCorrectionStart");
    	handleMoveTagInNewElement(element, "payloadLengthStatic", "FlexrayClusterConditional", "payloadLengthStatic");
    	handleMoveTagInNewElement(element, "sampleClockPeriod", "FlexrayClusterConditional", "sampleClockPeriod");
    	handleMoveTagInNewElement(element, "staticSlotDuration", "FlexrayClusterConditional", "staticSlotDuration");
    	handleMoveTagInNewElement(element, "symbolWindow", "FlexrayClusterConditional", "symbolWindow");
    	handleMoveTagInNewElement(element, "syncFrameIdCountMax", "FlexrayClusterConditional", "syncFrameIdCountMax");
    	handleMoveTagInNewElement(element, "transmissionStartSequenceDuration", "FlexrayClusterConditional", "transmissionStartSequenceDuration");
    	handleMoveTagInNewElement(element, "wakeupRxIdle", "FlexrayClusterConditional", "wakeupRxIdle");
    	handleMoveTagInNewElement(element, "wakeupRxLow", "FlexrayClusterConditional", "wakeupRxLow");
    	handleMoveTagInNewElement(element, "wakeupRxWindow", "FlexrayClusterConditional", "wakeupRxWindow");
    	handleMoveTagInNewElement(element, "wakeupTxActive", "FlexrayClusterConditional", "wakeupTxActive");
    	handleMoveTagInNewElement(element, "wakeupTxIdle", "FlexrayClusterConditional", "wakeupTxIdle");
    };
    
    mapping.BootTime=
    function(element){
    	handleDeleteTag(element, "coldStartTime");
    	handleDeleteTag(element, "resetTime");
    	handleDeleteStereotype(element, "BootTime");
    };
    
    mapping.DataReceivePoint_dataElement=
    function(element){
    	handleOldIref(element, "DataReceivePoint_dataElement");
    };
    
    mapping.NPdu=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_flowControlPdu");
    };
	
	mapping.FlexRayTpConnection
	function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_transmitPdu");
    };
    
    mapping.UserDefinedPdu=
    function(element){
    	handleDeleteTag(element, "cddType");
    	handleDeleteStereotype(element, "UserDefinedPdu");
    };
    
    mapping.SwConstrObjects=
    function(element){
    	handleDeleteStereotype(element, "SwConstrObjects");
    };
    
    mapping.LinTpChannel=
    function(element){
    	handleDeleteTag(element, "dropNotRequestedNad");
    	handleRenameStereotype(element, "LinTpChannel", "LinTpConnection");
    	handleRenameStereotypeFromDependencyChild(element, "l_source", "l_transmitter");
    	handleRenameStereotypeFromDependencyChild(element, "l_target", "l_receiver");
    };
    
    mapping.CalprmInterface=
    function(element){
    	handleRenameStereotype(element, "CalprmInterface", "ParameterInterface");
    };
    
    mapping.SensorActuatorSoftwareComponentType=
    function(element){
    	handleRenameStereotype(element, "SensorActuatorSoftwareComponentType", "SensorActuatorSwComponentType");
    	handleDeleteStereotypeFromAggregates(element, "l_sensorActuator");
    };
    
    mapping.CanFrameTriggering=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "rxIdentifierRange");
    };
	
	mapping.Identifiable=
	function(element){
		handleDeleteTag(element, "desc");
		handleDeleteTag(element, "descLanguage");
		handleDeleteTag(element, "longName");
		handleDeleteTag(element, "longNameLanguage");
	}
    
    mapping.StringParamDef=
    function(element){
    	handleDeleteTag(element, "defaultValue");
    };
    
    mapping.IntegerType=
    function(element){
    	handleDeleteStereotype(element, "IntegerType");
    };
    
    mapping.ReceiverAnnotation=
    function(element){
    	handleMoveTagInNewElement(element, "signalAge", "TimeValue", "cseCodeFactor");
    };
    
    mapping.OperationInvokedEvent_operation=
    function(element){
    	handleOldIref(element, "OperationInvokedEvent_operation");
    };
    
    mapping.SubstitutionFrame=
    function(element){
    	handleDeleteTag(element, "substitutionType");
    	handleDeleteStereotype(element, "SubstitutionFrame");
    	handleDeleteStereotypeFromAggregates(element, "l_substitutedFrame");
    };
    
    mapping.CompuNominatorDenominator=
    function(element){
    	handleDeleteTag(element, "v");
    	handleDeleteStereotypeFromAggregates(element, "vf");
    };
    
    mapping.ActuatorHW=
    function(element){
    	handleDeleteTag(element, "defaultPositionType");
    	handleDeleteTag(element, "defaultPositionValue");
    	handleDeleteTag(element, "electricalType");
    	handleDeleteTag(element, "endurance");
    	handleDeleteTag(element, "movement");
    	handleDeleteStereotype(element, "ActuatorHW");
    };
    
    mapping.RealLiteral=
    function(element){
    	handleRenameTag(element, "value", "valueValue");
    	if(handleRenameStereotype(element, "RealLiteral", "NumericalValueSpecification") && hasStereotypeApplied(element.getOwner(), "PortAPIOption"))
   handleMoveInNewChild(element, "PortDefinedArgumentValue");
    };
    
    mapping.SupportsSecurity=
    function(element){
    	handleDeleteStereotype(element, "SupportsSecurity");
    };
    
    mapping.AdminData=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "adminData");
    };
    
    mapping.NvBlockSwComponentType=
    function(element){
    	handleDeleteStereotype(element, "NvBlockSwComponentType");
    };
    
    mapping.FlexrayIsoTpPduPool=
    function(element){
    	handleDeleteStereotype(element, "FlexrayIsoTpPduPool");
    	handleDeleteStereotypeFromAggregates(element, "l_nPdu");
    };
    
    mapping.MlData3p=
    function(element){
    	handleDeleteTag(element, "xmlspace");
    	handleDeleteStereotype(element, "MlData3p");
    };
    
    mapping.AbstractCanCommunicationControllerAttributes=
    function(element){
    	handleRenameStereotype(element, "AbstractCanCommunicationControllerAttributes", "AbstractCanCommunicationController");
    };
    
    mapping.Range=
    function(element){
    	handleDeleteStereotype(element, "Range");
    	handleDeleteStereotypeFromAggregates(element, "lowerLimit");
    	handleDeleteStereotypeFromAggregates(element, "upperLimit");
    };
    
    mapping.CommunicationTransceiver=
    function(element){
    	handleDeleteTag(element, "architecture");
    	handleDeleteStereotype(element, "CommunicationTransceiver");
    	handleDeleteStereotypeFromAggregates(element, "acceptanceFilter");
    	handleDeleteStereotypeFromAggregates(element, "rejectionFilter");
    	handleDeleteStereotypeFromAggregates(element, "termination");
    };
    
    mapping.TpChannel=
    function(element){
    	handleDeleteStereotype(element, "TpChannel");
    };
    
    mapping.ApplicationSoftwareComponentType=
    function(element){
    	handleRenameStereotype(element, "ApplicationSoftwareComponentType", "ApplicationSwComponentType");
    };
    
    mapping.ISignalToIPduMapping=
    function(element){
    	handleRenameStereotypeFromDependencyChild(element, "l_signal", "l_iSignal");
    };
    
    mapping.OperationPrototype=
    function(element){
    	handleRenameStereotype(element, "OperationPrototype", "ClientServerOperation");
    };
    
    mapping.CompositeType=
    function(element){
    	handleRenameStereotype(element, "CompositeType", "ApplicationCompositeDataType");
    };
    
    mapping.CommunicationSpeedRange=
    function(element){
    	handleDeleteTag(element, "maxSpeed");
    	handleDeleteTag(element, "minSpeed");
    	handleDeleteStereotype(element, "CommunicationSpeedRange");
    };
    
    mapping.InterruptHWPort=
    function(element){
    	handleDeleteStereotype(element, "InterruptHWPort");
    };
    
    mapping.ECUMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_ecu");
    	handleDeleteStereotypeFromAggregates(element, "portMapping");
    };
    
    mapping.ECUCommunicationPort=
    function(element){
    	handleDeleteStereotype(element, "ECUCommunicationPort");
    };
    
    mapping.ISignal=
    function(element){
    	var systemSignal = getDependencyIn(element, "l_systemSignal");
  if(systemSignal!=null){
   var target = systemSignal.getDependsOn();
   if(target!=null){
    if(hasStereotypeApplied(target, "SystemSignalGroup")){
     var systemSignalInGroup = getDependencyIn(target, "l_systemSignal");
     if(systemSignalInGroup!=null){
      systemSignal.setDependsOn(systemSignalInGroup.getDependsOn());
     }
    }
   }
  }
    };
    
    mapping.PeripheralHWPort=
    function(element){
    	handleDeleteTag(element, "inversion");
    	handleDeleteTag(element, "powerOnCapability");
    	handleDeleteTag(element, "wakeUpCapability");
    	handleDeleteStereotype(element, "PeripheralHWPort");
    	handleDeleteStereotypeFromAggregates(element, "buffer");
    };
    
    mapping.EcucDefinitionElement=
    function(element){
    	handleRenameStereotype(element, "lowerMultiplicity", "lowerMultiplicityValue");
    	handleRenameStereotype(element, "upperMultiplicity", "upperMultiplicityValue");
    };
    
    mapping.ArrayElement=
    function(element){
    	handleRenameStereotype(element, "ArrayElement", "ApplicationArrayElement");
    	handleRenameTag(element, "maxNumberOfElements", "maxNumberOfElementsValue");
    };
    
    mapping.BswImplementation=
    function(element){
    	handleRenameTag(element, "arMajorVersion", "arReleaseVersion");
    	handleDeleteTag(element, "arMinorVersion");
    	handleDeleteTag(element, "arPatchVersion");
    	handleDeleteStereotypeFromAggregates(element, "l_requiredHW");
    };
    
    mapping.FreeFormat=
    function(element){
    	handleRenameTag(element, "ByteValue", "byteValue");
    };
    
    mapping.BswCyclicEvent=
    function(element){
    	handleRenameTag(element, "cycleTime", "period");
    	handleRenameStereotype(element, "BswCyclicEvent", "BswTimingEvent");
    };
    
    mapping.SenderRecArrayElementMapping=
    function(element){
    	handleRenameStereotypeFromDependencyChild(element, "l_signal", "l_systemSignal");
    };
    
    mapping.SenderComSpec=
    function(element){
    	handleDeleteTag(element, "usesEndToEndProtection");
    };
    
    mapping.SlData3p=
    function(element){
    	handleDeleteTag(element, "xmlspace");
    };
    
    mapping.RunnableEntityArgument=
    function(element){
    	handleDeleteTag(element, "symbol");
    	handleDeleteStereotype(element, "RunnableEntityArgument");
    };
    
    mapping.DataReceivedEvent_data=
    function(element){
    	handleOldIref(element, "DataReceivedEvent_data");
    	handleOldIref(element, "DataReceivedEvent_data");
    };
    
    mapping.DigitalIO=
    function(element){
    	handleDeleteTag(element, "edgeDetection");
    	handleDeleteStereotype(element, "DigitalIO");
    };
    
    mapping.ModeDisablingDependency=
    function(element){
    	handleDeleteStereotype(element, "ModeDisablingDependency");
    };
    
    mapping.SwPointer=
    function(element){
    	handleRenameStereotype(element, "SwPointer", "SwPointerTargetProps");
    };
    
    mapping.ErrorDetectionCorrection=
    function(element){
    	handleDeleteTag(element, "correctedBits");
    	handleDeleteTag(element, "detectedBits");
    	handleDeleteTag(element, "extraBits");
    	handleDeleteStereotype(element, "ErrorDetectionCorrection");
    };
    
    mapping.SignalIPdu=
    function(element){
    	handleRenameStereotype(element, "SignalIPdu", "ISignalIPdu");
		handleRenameStereotypeFromAnnotationChild(element, "signalToPduMapping", "iSignalToPduMapping");
    };
    
    mapping.IndexedArrayElement=
    function(element){
    	handleRenameStereotypeFromDependencyChild(element, "l_arrayElement", "l_applicationArrayElement");
    };
    
    mapping.EcuSwComposition=
    function(element){
    	handleDeleteStereotype(element, "EcuSwComposition");
    	handleDeleteStereotypeFromAggregates(element, "component");
    	handleDeleteStereotypeFromAggregates(element, "connector");
    	handleDeleteStereotypeFromAggregates(element, "l_ecuExtract");
    };
    
    mapping.PortPrototype=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "calibrationPortAnnotation");
    };
    
    mapping.SupportedDataType=
    function(element){
    	handleDeleteTag(element, "supportedDataSize");
    	handleDeleteStereotype(element, "SupportedDataType");
    };
    
    mapping.SwDataDefProps=
    function(element){
    	handleDeleteTag(element, "swVariableAccessImplPolicy");
    	handleMoveTagInNewElement(element, "displayFormat", "SwDataDefPropsVariant", "displayFormat");
    	handleMoveTagInNewElement(element, "swCalibrationAccess", "SwDataDefPropsVariant", "swCalibrationAccess");
    	handleMoveTagInNewElement(element, "swImplPolicy", "SwDataDefPropsVariant", "swImplPolicy");
    	handleMoveReferenceInNewElement(element, "l_baseType", "SwDataDefPropsVariant", "l_baseType");
    	handleMoveReferenceInNewElement(element, "l_compuMethod", "SwDataDefPropsVariant", "l_compuMethod");
    	handleMoveReferenceInNewElement(element, "l_dataConstr", "SwDataDefPropsVariant",  "l_dataConstr");
    	handleMoveReferenceInNewElement(element, "l_swAddrMethod", "SwDataDefPropsVariant",  "l_swAddrMethod");
    	handleMoveCommentInNewElement(element, "SwBitRepresentation", "SwDataDefPropsVariant",  "SwBitRepresentation");
    	handleMoveCommentInNewElement(element, "SwCalprmAxisSet", "SwDataDefPropsVariant",  "SwCalprmAxisSet");
    	handleDeleteStereotypeFromAggregates(element, "l_swCodeSyntax");
    	handleMoveCommentInNewElement(element, "SwDataDependency", "SwDataDefPropsVariant",  "SwDataDependency");
    	handleMoveCommentInNewElement(element, "swHostVariable", "SwDataDefPropsVariant",  "swHostVariable");
    	handleDeleteStereotypeFromAggregates(element, "swPointer");
    	handleMoveReferenceInNewElement(element, "l_swRecordLayout", "SwDataDefPropsVariant",  "l_swRecordLayout");
    	handleMoveCommentInNewElement(element, "SwTextProps", "SwDataDefPropsVariant",  "SwTextProps");
    	handleDeleteStereotypeFromAggregatesFromChild(element, "swValueBlockSize");
    	handleMoveReferenceInNewElement(element, "l_unit", "SwDataDefPropsVariant",  "l_unit");
    };
    
    mapping.EcucBooleanParamDef=
    function(element){
    	handleRenameTag(element, "defaultValue", "defaultValueValue");
    };
    
    mapping.SwClassAttrImpl=
    function(element){
    	handleDeleteStereotype(element, "SwClassAttrImpl");
    	handleDeleteStereotypeFromAggregates(element, "swCalprmImpl");
    	handleDeleteStereotypeFromAggregates(element, "swDataDefProps");
    	handleDeleteStereotypeFromAggregates(element, "swVariableImpl");
    };
    
    mapping.CompuConstFormulaContent=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "vf");
    };
    
    mapping.AssignFrameIdTiming=
    function(element){
    	handleRenameStereotype(element, "AssignFrameIdTiming", "AssignFrameId");
    	handleDeleteStereotypeFromAggregates(element, "l_assignedFrameTriggering");
		handleDeleteStereotypeFromAggregates(element, "l_scheduleTable");
    };
    
    mapping.GeneralPurposeTimer=
    function(element){
    	handleDeleteTag(element, "phaseDetection");
    	handleDeleteTag(element, "resolution");
    	handleDeleteTag(element, "thresholdValue");
    	handleDeleteStereotype(element, "GeneralPurposeTimer");
    	handleDeleteStereotypeFromAggregates(element, "l_clockSource");
    };
    
    mapping.HWElement=
    function(element){
    	handleDeleteTag(element, "standbyCurrent");
    	handleDeleteStereotype(element, "HWElement");
    	handleDeleteStereotypeFromAggregates(element, "hwElementTemperature");
    	handleDeleteStereotypeFromAggregates(element, "port");
    	handleDeleteStereotypeFromAggregates(element, "signalTransformation");
    	handleDeleteStereotypeFromAggregates(element, "supportsSafety");
    	handleDeleteStereotypeFromAggregates(element, "supportsSecurity");
    };
    
    mapping.TransmissionModeCondition=
    function(element){
    	handleRenameStereotypeFromDependencyChild(element, "l_signalInIPdu", "l_iSignalInIPdu");
    };
    
    mapping.AtomicSoftwareComponentType=
    function(element){
    	handleRenameStereotype(element, "AtomicSoftwareComponentType", "AtomicSwComponentType");
    	handleDeleteStereotypeFromAggregates(element, "symbolProps");
    };
    
    mapping.EcuAbstractionComponentType=
    function(element){
    	handleRenameStereotype(element, "EcuAbstractionComponentType", "EcuAbstractionSwComponentType");
    	handleDeleteStereotypeFromAggregates(element, "l_bswModuleDescription");
    	handleDeleteStereotypeFromAggregates(element, "l_hardwareElement");
    };
    
    mapping.CommunicationSpeedFixed=
    function(element){
    	handleDeleteTag(element, "fixSpeed");
    	handleDeleteStereotype(element, "CommunicationSpeedFixed");
    };
    
    mapping.ImplementationProps=
    function(element){
    	handleDeleteTag(element, "symbol");
    	handleDeleteStereotype(element, "ImplementationProps");
    };
    
    mapping.EcuParameterDefinition=
    function(element){
    	handleRenameStereotype(element, "EcuParameterDefinition", "EcucDefinitionCollection");
    	handleDeleteStereotypeFromAggregates(element, "l_module");
    };
    
    mapping.SlData2=
    function(element){
    	handleRenameStereotype(element, "SlData2", "SingleLanguageOverviewParagraph");
    };
    
    mapping.SlData1=
    function(element){
    	handleRenameStereotype(element, "SlData1", "SingleLanguageParagraph");
    };
    
    mapping.DataSendPoint=
    function(element){
    	handleRenameStereotype(element, "DataSendPoint", "VariableAccess");
    };
    
    mapping.LinMaster=
    function(element){
    	handleMoveTagInNewElement(element,  "timeBase",  "LinMasterVariant",  "timeBase");
    	handleMoveTagInNewElement(element,  "timeBaseJitter",  "LinMasterVariant",  "timeBaseJitter");
    };
    
    mapping.InternalBehavior=
    function(element){
		handleRenameStereotype(element, "InternalBehavior", "SwcInternalBehavior");
    	handleDeleteStereotypeFromAggregates(element, "l_component");
		handleRenameStereotypeFromAnnotationChild(element, "perInstanceMemory", "PerInstanceMemory");
		handleDeleteStereotypeFromAggregates(element, "perInstanceCalprm");
		handleDeleteStereotypeFromAggregates(element, "sharedCalprm");
    };
	
    mapping.SwcObdControlServiceNeeds=
    function(element){
    	handleDeleteStereotype(element, "SwcObdControlServiceNeeds");
		handleDeleteStereotypeFromAggregates(element, "callbackPort");
    };
    
    mapping.InterruptConsumeHWPort=
    function(element){
    	handleDeleteTag(element, "activationSource");
    	handleDeleteTag(element, "latency");
    	handleDeleteTag(element, "maskable");
    	handleDeleteTag(element, "priority");
    	handleDeleteStereotype(element, "InterruptConsumeHWPort");
    };
    
    mapping.DataPrototype=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_type");
    };
    
    mapping.SwGenericAxisParamValue=
    function(element){
    	handleDeleteTag(element, "v");
    	handleDeleteStereotype(element, "SwGenericAxisParamValue");
    	handleDeleteStereotypeFromAggregates(element, "vf");
    };
    
    mapping.MixedContent5=
    function(element){
    	handleRenameStereotype(element, "MixedContent5", "MixedContentForVerbatim");
    };
	
	mapping.annotationText=
	function(element){
		handleDeleteStereotypeFromAggregates(element, "verbatim");
	};
    
    mapping.WakeUp=
    function(element){
    	handleDeleteStereotype(element, "WakeUp");
    };
    
    mapping.MixedContent4=
    function(element){
    	handleRenameStereotype(element, "MixedContent4", "MixedContentForLongName");
    };
    
    mapping.EcuInstance=
    function(element){
    	handleDeleteTag(element, "comConfigurationId");
    	handleDeleteTag(element, "comProcessingPeriod");
    	handleDeleteTag(element, "comProcessingPeriodGw");
    	handleDeleteTag(element, "comProcessingPeriodRx");
    	handleDeleteTag(element, "pduRConfigurationId");
    	handleDeleteTag(element, "responseAddress");
    	handleRenameStereotypeFromDependencyChild(element, "l_associatedIPduGroup", "l_associatedComIPduGroup");
    };
    
    mapping.MixedContent3=
    function(element){
    	handleDeleteStereotype(element, "SlData3p");
    	handleRenameStereotype(element, "MixedContent3", "MixedContentForUnitNames");
    };
    
    mapping.MixedContent2=
    function(element){
    	handleRenameStereotype(element, "MixedContent2", "MixedContentForOverviewParagraph");
    };
    
    mapping.MixedContent1=
    function(element){
    	handleRenameStereotype(element, "MixedContent1", "MixedContentForParagraph");
    };
    
    mapping.FloatValue=
    function(element){
    	handleRenameStereotype(element, "FloatValue", "EcucNumericalParamValue");
    };
    
    mapping.SupportsSafety=
    function(element){
    	handleDeleteStereotype(element, "SupportsSafety");
    };
    
    mapping.IPduGroup=
    function(element){
    	handleRenameStereotype(element, "IPduGroup", "ISignalIPduGroup");
    	handleRenameStereotypeFromDependencyChild(element, "l_containedIPduGroups", "l_containedISignalIPduGroup");
    	handleMoveReferenceInNewElement(element, "l_iPdu", "ISignalIPduRefConditional", "l_iSignalIPdu");
    };
    
    mapping.PerInstanceMemorySize=
    function(element){
    	handleRenameTag(element, "size", "sizeValue");
    };
    
    mapping.ParameterValue=
    function(element){
    	handleRenameStereotype(element, "ParameterValue", "EcucParameterValue");
    	handleDeleteStereotypeFromAggregates(element, "l_definition");
    };
    
    mapping.EndToEndProtectionISignalIPdu=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_iSignalGroup");
    };
    
    mapping.UnassignFrameIdTiming=
    function(element){
    	handleRenameStereotype(element, "UnassignFrameIdTiming", "UnassignFrameId");
    	handleDeleteStereotypeFromAggregates(element, "l_unassignedFrameTriggering");
		handleDeleteStereotypeFromAggregates(element, "l_scheduleTable");
    };
    
    mapping.NmPdu=
    function(element){
		handleRenameTag(element, "length");
    	handleDeleteTag(element, "nmCbvPosition");
    	handleDeleteTag(element, "nmNidPosition");
    	handleDeleteTag(element, "nmUserDataLength");
    	handleRenameTag(element, "nmCbvPosition", "nmNidPosition");
    };
    
    mapping.ReferenceValue=
    function(element){
    	handleRenameStereotype(element, "ReferenceValue", "EcucReferenceValue");
    	handleDeleteStereotypeFromAggregates(element, "l_value");
    };
    
    mapping.SwComparisonVariables=
    function(element){
    	handleDeleteStereotype(element, "SwComparisonVariables");
    	handleDeleteStereotypeFromAggregates(element, "swVariableRef");
    };
    
    mapping.SlData5=
    function(element){
    	handleDeleteTag(element, "keepWithPrevious");
    	handleDeleteTag(element, "xmlspace");
    	handleRenameStereotype(element, "SlData5", "SingleLanguageVerbatim");
    };
    
    mapping.SlData3=
    function(element){
    	handleRenameStereotype(element, "SlData3", "SingleLanguageUnitNames");
    };
    
    mapping.FlexrayTpChannel=
    function(element){
    	handleDeleteTag(element, "extendedAddressing");
    	handleDeleteTag(element, "maxBufferRequest");
    	handleDeleteTag(element, "maxFrIf");
    	handleDeleteTag(element, "maximumMessageLength");
    	handleDeleteTag(element, "minimumMulticastSeparationTime");
    	handleDeleteTag(element, "minimumSeparationTime");
    	handleDeleteTag(element, "multicastSegmentation");
    	handleDeleteTag(element, "timeCs");
    	handleDeleteTag(element, "transmitCancellation");
    	handleRenameStereotype(element, "FlexrayTpChannel", "FlexrayTpConnectionControl");
    	handleDeleteStereotypeFromAggregates(element, "l_flowControlPdu");
    	handleDeleteStereotypeFromAggregates(element, "l_nPdu");
    	handleDeleteStereotypeFromAggregates(element, "NPdu");
		handleDeleteStereotypeFromAggregates(element, "pduPool");
    	handleDeleteStereotypeFromAggregates(element, "FlexRayTpConnection");
    };
    
    mapping.SlData4=
    function(element){
    	handleRenameStereotype(element, "SlData4", "SingleLanguageLongName");
    };
    
    mapping.TpNode=
    function(element){
    	handleDeleteStereotype(element, "TpNode");
    	handleDeleteStereotypeFromAggregates(element, "l_tpAddress");
    };
    
    mapping.ModeDisablingDependency_dependentOnMode=
    function(element){
    	handleOldIref(element, "ModeDisablingDependency_dependentOnMode");
    };
    
    mapping.BaseType=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "baseTypeDefinitionType");
    };
    
    mapping.SwConnector=
    function(element){
    	handleRenameStereotype(element, "ConnectorPrototype", "SwConnector");
    };
    
    mapping.SwVariablePrototype=
    function(element){
    	handleDeleteStereotype(element, "SwVariablePrototype");
    	handleDeleteStereotypeFromAggregates(element, "swDataDefProps");
    };
    
    mapping.BswModuleEntity=
    function(element){
    	handleMoveReferenceInNewElement(element, "l_activationPoint", "BswInternalTriggeringPointRefConditional", "l_bswInternalTriggeringPoint");
    	handleMoveReferenceInNewElement(element, "l_calledEntry", "BswModuleEntryRefConditional", "l_bswModuleEntry");
    	handleDeleteStereotypeFromAggregates(element, "l_canEnterExclusiveArea");
    	handleDeleteStereotypeFromAggregates(element, "l_cancellationPoint");
		handleRenameStereotype(element, "BswModuleEntity", getPropertyValueOfElement(element, "BswModuleEntity"));
    };
    
    mapping.ARLimit=
    function(element){
    	handleDeleteTag(element, "intervalType");
    	handleDeleteTag(element, "value");
    	handleDeleteStereotype(element, "ARLimit");
    };
    
    mapping.FunctionNameValue=
    function(element){
    	handleDeleteStereotype(element, "FunctionNameValue");
    };
    
    mapping.SwRecordLayoutV=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_swRecordLayout");
    };
	
	mapping.SwRecordLayout=
    function(element){
    	handleRenameTag(element, "mixedContentIndex");
    };
    
    mapping.PowerSupplyHWElement=
    function(element){
    	handleDeleteTag(element, "backupCapacity");
    	handleDeleteTag(element, "defaultVoltageOnReset");
    	handleDeleteTag(element, "maxVoltage");
    	handleDeleteTag(element, "minVoltage");
    	handleDeleteTag(element, "notificationOverTemperature");
    	handleDeleteTag(element, "notificationReset");
    	handleDeleteTag(element, "resetDelay");
    	handleDeleteTag(element, "resetOnFaultBehaviour");
    	handleDeleteTag(element, "wakeupCapability");
    	handleDeleteStereotype(element, "PowerSupplyHWElement");
    	handleDeleteStereotypeFromAggregates(element, "overCurrentNotification");
    	handleDeleteStereotypeFromAggregates(element, "overVoltageNotification");
    	handleDeleteStereotypeFromAggregates(element, "underVoltageNotification");
    };
    
    mapping.DataWriteAccess=
    function(element){
    	handleDeleteStereotype(element, "DataWriteAccess");
    };
    
    mapping.Clock=
    function(element){
    	handleDeleteTag(element, "adjustable");
    	handleDeleteTag(element, "clockJitter");
    	handleDeleteTag(element, "clockStartupTime");
    	handleDeleteTag(element, "clockTolerance");
    	handleDeleteTag(element, "type");
    	handleDeleteStereotype(element, "Clock");
    	handleDeleteStereotypeFromAggregates(element, "frequency");
    	handleDeleteStereotypeFromAggregates(element, "l_oscillator");
    };
    
    mapping.NvRamBlockDataPrototypeRef=
    function(element){
    	handleDeleteTag(element, "arrayIndex");
    	handleDeleteStereotype(element, "NvRamBlockDataPrototypeRef");
    	handleDeleteStereotypeFromAggregates(element, "l_subElement");
    };
    
    mapping.DAC=
    function(element){
    	handleDeleteStereotype(element, "DAC");
    };
    
    mapping.SignalMapping=
    function(element){
		handleRenameStereotype(element, "SignalMapping", "ISignalMapping");
    	handleDeleteStereotypeFromAggregates(element, "l_sourceSignal");
    	handleDeleteStereotypeFromAggregates(element, "l_targetSignal");
    };
    
    mapping.PowerDriverHWPort=
    function(element){
    	handleDeleteTag(element, "pwmMaxFrequency");
    	handleDeleteTag(element, "pwmMinOffTime");
    	handleDeleteTag(element, "pwmMinOnTime");
    	handleDeleteStereotype(element, "PowerDriverHWPort");
    };
    
    mapping.SimulatedExecutionTime=
    function(element){
    	handleMoveTagInNewElement(element, "averageExecutionTime", "nominalExecutionTime", "cseCodeFactor");
    	handleMoveTagInNewElement(element, "maximalExecutionTime", "maximumExecutionTime", "cseCodeFactor");
    	handleMoveTagInNewElement(element, "minimalExecutionTime", "minimumExecutionTime", "cseCodeFactor");
    };
    
    mapping.DataReceiveErrorEvent_data=
    function(element){
    	handleOldIref(element, "DataReceiveErrorEvent_data");
    };
    
    mapping.MlData2=
    function(element){
    	handleRenameStereotype(element, "MlData2", "MultiLanguageOverviewParagraph");
    };
    
    mapping.MlData1=
    function(element){
    	handleRenameStereotype(element, "MlData1", "MultiLanguageParagraph");
    };
    
    mapping.CommunicationController=
    function(element){
    	handleDeleteTag(element, "wakeUpByControllerSupported");
		handleRenameStereotype(element, "CommunicationController", getPropertyValueOfElement(element, "CommunicationController"));
    };
	
	mapping.LinCommunicationController=
    function(element){
    	handleRenameStereotype(element, "LinCommunicationController", getPropertyValueOfElement(element, "LinCommunicationController"));
    };
    
    mapping.MlData4=
    function(element){
    	handleRenameStereotype(element, "MlData4", "MultilanguageLongName");
    };
    
    mapping.MlData3=
    function(element){
    	handleDeleteStereotype(element, "MlData3");
    };
    
    mapping.SwVariableImpl=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "swDataDefProps");
    	handleDeleteStereotypeFromAggregates(element, "l_swVariablePrototype");
    };
    
    mapping.MlData5=
    function(element){
    	handleDeleteTag(element, "xmlspace");
    	handleRenameStereotype(element, "MlData5", "MultiLanguageVerbatim");
    };
    
    mapping.Register=
    function(element){
    	handleDeleteTag(element, "count");
    	handleDeleteTag(element, "type");
    	handleDeleteStereotype(element, "Register");
    };
    
    mapping.SenderReceiverInterface=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "modeGroup");
    };
    
    mapping.DiscreteECUElectronics=
    function(element){
    	handleDeleteStereotype(element, "DiscreteECUElectronics");
    };
    
    mapping.StringType=
    function(element){
    	handleDeleteTag(element, "encoding");
    	handleDeleteTag(element, "maxNumberOfChars");
    	handleDeleteStereotype(element, "StringType");
    };
    
    mapping.SensorActuatorHW=
    function(element){
    	handleDeleteTag(element, "accuracy");
    	handleDeleteTag(element, "resolution");
    	handleDeleteTag(element, "type");
    	handleDeleteStereotype(element, "SensorActuatorHW");
    	handleDeleteStereotypeFromAggregates(element, "cycleTime");
    };
    
    mapping.AssignNadTiming=
    function(element){
    	handleRenameStereotype(element, "AssignNadTiming", "AssignNad");
		handleDeleteStereotypeFromAggregates(element, "l_scheduleTable");
    };
    
    mapping.SwcObdInfoServiceNeeds=
    function(element){
    	handleDeleteStereotype(element, "SwcObdInfoServiceNeeds");
		handleDeleteStereotypeFromAggregates(element, "callbackPort");
    };
    
    mapping.BooleanType=
    function(element){
    	handleDeleteStereotype(element, "BooleanType");
    };
    
    mapping.SwcToEcuMappingConstraint_component=
    function(element){
    	handleOldIref(element, "SwcToEcuMappingConstraint_component");
    };
    
    mapping.ProgCode=
    function(element){
    	handleDeleteStereotype(element, "ProgCode");
    };
    
    mapping.DataTiming=
    function(element){
    	handleDeleteStereotype(element, "DataTiming");
    	handleDeleteStereotypeFromAggregates(element, "freeFormat");
		handleDeleteStereotypeFromAggregates(element, "l_scheduleTable");
    };
    
    mapping.ComponentType=
    function(element){
    	handleRenameStereotype(element, "ComponentType", "SwComponentType");
    	handleDeleteStereotypeFromAggregates(element, "port");
    	handleDeleteStereotypeFromAggregates(element, "portGroup");
    };
    
    mapping.EnumerationLiteralDef=
    function(element){
    	handleRenameStereotype(element, "EnumerationLiteralDef", "EcucEnumerationLiteralDef");
    };
    
    mapping.FlexrayIsoTpEcu=
    function(element){
    	handleDeleteTag(element, "cycleTimeMainFunction");
    	handleDeleteTag(element, "fullDuplexEnabled");
    	handleDeleteTag(element, "transmitCancellation");
    	handleDeleteStereotype(element, "FlexrayIsoTpEcu");
    	handleDeleteStereotypeFromAggregates(element, "l_ecuInstance");
    };
    
    mapping.SwSemaphore=
    function(element){
    	handleDeleteStereotype(element, "SwSemaphore");
    	handleDeleteStereotypeFromAggregates(element, "swVariableRef");
    };
    
    mapping.ProcessingUnit=
    function(element){
    	handleDeleteTag(element, "addressingModes");
    	handleDeleteTag(element, "architectureKind");
    	handleDeleteTag(element, "architectureName");
    	handleDeleteTag(element, "architectureType");
    	handleDeleteTag(element, "dmaChannelCount");
    	handleDeleteTag(element, "implementationTechnology");
    	handleDeleteTag(element, "maxInterruptNestingLevels");
    	handleDeleteTag(element, "naturalDataSize");
    	handleDeleteTag(element, "opcodeSize");
    	handleDeleteTag(element, "specialOpcodes");
    	handleDeleteStereotype(element, "ProcessingUnit");
    	handleDeleteStereotypeFromAggregates(element, "bootTime");
    	handleDeleteStereotypeFromAggregates(element, "mpu");
    	handleDeleteStereotypeFromAggregates(element, "puClock");
    	handleDeleteStereotypeFromAggregates(element, "registerModel");
    	handleDeleteStereotypeFromAggregates(element, "supportedDataType");
    };
    
    mapping.RecordElementRef_RecordElement_Type=
    function(element){
    	handleOldIref(element, "RecordElementRef_RecordElement_Type");
    };
    
    mapping.ProvidedNVMemorySegment=
    function(element){
    	handleDeleteTag(element, "dataEndurance");
    	handleDeleteTag(element, "dataRetention");
    	handleDeleteTag(element, "marginReadAvailable");
    	handleDeleteTag(element, "segmentSizeErase");
    	handleDeleteTag(element, "segmentSizeWrite");
    	handleDeleteStereotype(element, "ProvidedNVMemorySegment");
    };
    
    mapping.DelegationHWConnection=
    function(element){
    	handleDeleteStereotype(element, "DelegationHWConnection");
    	handleDeleteStereotypeFromAggregates(element, "l_innerPort");
    	handleDeleteStereotypeFromAggregates(element, "l_outerPort");
    };
    
    mapping.CyclicTiming=
    function(element){
    	handleDeleteTag(element, "finalRepetitions");
	};

	mapping.startingTime=
    function(element){	
    	handleRenameStereotype(element, "startingTime", "timeOffset");
	};
		
	mapping.repeatingTime=
    function(element){
    	handleRenameStereotype(element, "repeatingTime", "timePeriod");
    };
    
    mapping.Temperature=
    function(element){
    	handleDeleteTag(element, "needsCooling");
    	handleDeleteTag(element, "needsHeating");
    	handleDeleteTag(element, "operationMax");
    	handleDeleteTag(element, "operationMin");
    	handleDeleteTag(element, "operationTypical");
    	handleDeleteTag(element, "storageMax");
    	handleDeleteTag(element, "storageMin");
    	handleDeleteStereotype(element, "Temperature");
    };
    
    mapping.Timer=
    function(element){
    	handleDeleteTag(element, "canBeReInit");
    	handleDeleteTag(element, "countDirection");
    	handleDeleteTag(element, "mode");
    	handleDeleteStereotype(element, "Timer");
    };
    
    mapping.LinkerSymbolValue=
    function(element){
    	handleDeleteStereotype(element, "LinkerSymbolValue");
    };
    
    mapping.RTEEvent=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "modeDependency");
    };
    
    mapping.DerivedFloatParamDef=
    function(element){
    	handleDeleteStereotype(element, "DerivedFloatParamDef");
    };
    
    mapping.SenderReceiverToSignalMapping_dataElement=
    function(element){
    	handleOldIref(element, "SenderReceiverToSignalMapping_dataElement");
    };
    
    mapping.DependencyOnLibrary=
    function(element){
    	handleDeleteTag(element, "maxVersion");
    	handleDeleteTag(element, "minVersion");
    	handleRenameStereotype(element, "DependencyOnLibrary", "DependencyOnArtifact");
    };
    
    mapping.BswModuleDescription=
    function(element){
    	element = changeMetaClassAndStereotype(element, "BswModuleDescription");
		handleDeleteTag(element, "desc");
		handleDeleteTag(element, "descLanguage");
		handleDeleteTag(element, "longName");
		handleDeleteTag(element, "longNameLanguage");
    	handleMoveReferenceInNewElement(element, "l_outgoingCallback", "outgoingCallback", "l_bswModuleEntry");
    	handleMoveReferenceInNewElement(element, "l_providedEntry", "providedEntry", "l_bswModuleEntry");
    };
    
    mapping.NvBlockNeeds=
    function(element){
    	handleDeleteTag(element, "ramBlockStatusControl");
    };
    
    mapping.PhysicalChannel=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "tpAddress");
    	handleDeleteStereotypeFromAggregates(element, "tpChannel");
    	handleDeleteStereotypeFromAggregates(element, "tpNode");
		handleRenameStereotype(element, "PhysicalChannel", getPropertyValueOfElement(element, "PhysicalChannel"));
    };
    
    mapping.CompanySpecificInfo=
    function(element){
    	handleDeleteStereotype(element, "CompanySpecificInfo");
    };
    
    mapping.CommonConfigurationAttributes=
    function(element){
    	handleRenameStereotype(element, "CommonConfigurationAttributes", "EcucCommonAttributes");
    };
    
    mapping.Peripheral=
    function(element){
    	handleDeleteTag(element, "canBeDisabled");
    	handleDeleteStereotype(element, "Peripheral");
    };
    
    mapping.PncMapping_vfc=
    function(element){
    	handleOldIref(element, "PncMapping_vfc");
    };
    
    mapping.SwService=
    function(element){
    	handleDeleteStereotype(element, "SwService");
    	handleDeleteStereotypeFromAggregates(element, "swServiceAccessedElementSet");
    	handleDeleteStereotypeFromAggregates(element, "swServiceArg");
    	handleDeleteStereotypeFromAggregates(element, "swServiceProps");
    	handleDeleteStereotypeFromAggregates(element, "swServiceReturn");
    };
    
    mapping.CompuConstTextContent=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "vt");
    };
    
    mapping.FrequencyRange=
    function(element){
    	handleDeleteTag(element, "maxFrequency");
    	handleDeleteTag(element, "minFrequency");
    	handleDeleteTag(element, "typicalFrequency");
    	handleDeleteStereotype(element, "FrequencyRange");
    };
    
    mapping.OpaqueType=
    function(element){
    	handleDeleteTag(element, "numberOfBits");
    	handleDeleteStereotype(element, "OpaqueType");
    };
    
    mapping.CommunicationConnector=
    function(element){
    	handleDeleteTag(element, "nmAddress");
    	handleDeleteTag(element, "nmEnabled");
    	handleDeleteTag(element, "pncGatewayType");
    	handleDeleteStereotypeFromAggregates(element, "l_channel");
		handleRenameStereotype(element, "CommunicationConnector", getPropertyValueOfElement(element, "CommunicationConnector"));
    };
    
    mapping.CharType=
    function(element){
    	handleDeleteTag(element, "encoding");
    	handleDeleteStereotype(element, "CharType");
    };
    
    mapping.ECUPrototype=
    function(element){
    	handleDeleteStereotype(element, "ECUPrototype");
    	handleDeleteStereotypeFromAggregates(element, "l_eCU");
    };
    
    mapping.BaseTypeIndirectDefinition=
    function(element){
    	handleDeleteStereotype(element, "BaseTypeIndirectDefinition");
    	handleDeleteStereotypeFromAggregates(element, "l_baseType");
    };
    
    mapping.TransmissionModeFalseTiming=
    function(element){
    	handleRenameStereotype(element, "TransmissionModeFalseTiming", "TransmissionModeTiming");
    };
    
    mapping.AUTOSAR=
    function(element){
    	handleDeleteTag(element, "writeAttributeDefaultValues");
    	handleDeleteTag(element, "xmlns");
    	handleDeleteTag(element, "xmlnsXsi");
    	handleDeleteTag(element, "xsiSchemaLocation");
    	//handleDeleteStereotypeFromAggregates(element, "adminData");
    };
    
    mapping.MlGraphic=
    function(element){
    	handleRenameStereotype(element, "MlGraphic", "LGraphic");
    };
    
    mapping.SwArraysize=
    function(element){
    	handleRenameStereotype(element, "SwArraysize", "ValueList");
    };
    
    mapping.DerivedStringParamDef=
    function(element){
    	handleDeleteStereotype(element, "DerivedStringParamDef");
    };
    
    mapping.SwcObdMonitorServiceNeeds=
    function(element){
    	handleDeleteStereotype(element, "SwcObdMonitorServiceNeeds");
		handleDeleteStereotypeFromAggregates(element, "callbackPort");
    };
    
    mapping.DataPrototypeRef_DataPrototype_Type=
    function(element){
    	handleOldIref(element, "DataPrototypeRef_DataPrototype_Type");
    };
    
    mapping.DerivedParamType=
    function(element){
    	handleDeleteTag(element, "calculationFormula");
    	handleDeleteTag(element, "calculationLanguage");
    	handleDeleteStereotype(element, "DerivedParamType");
    };
    
    mapping.ModeSwitchEvent=
    function(element){
    	handleRenameStereotype(element, "ModeSwitchEvent", "SwcModeSwitchEvent");
    };
    
    mapping.ECU=
    function(element){
    	handleDeleteStereotype(element, "ECU");
    	handleDeleteStereotypeFromAggregates(element, "l_ecuAbstraction");
    };
    
    mapping.ArgumentPrototype=
    function(element){
    	handleRenameStereotype(element, "ArgumentPrototype", "ArgumentDataPrototype");
    };
    
    mapping.PulseWidthPeripheral=
    function(element){
    	handleDeleteTag(element, "resolution");
    	handleDeleteStereotype(element, "PulseWidthPeripheral");
    };
    
    mapping.DerivedBooleanParamDef=
    function(element){
    	handleDeleteStereotype(element, "DerivedBooleanParamDef");
    };
    
    mapping.WatchDog=
    function(element){
    	handleDeleteTag(element, "mode");
    	handleDeleteTag(element, "thresholdValue");
    	handleDeleteStereotype(element, "WatchDog");
    	handleDeleteStereotypeFromAggregates(element, "l_clockSource");
    };
    
    mapping.DisplayHW=
    function(element){
    	handleDeleteTag(element, "backlight");
    	handleDeleteTag(element, "brightness");
    	handleDeleteTag(element, "btypeOfCharacters");
    	handleDeleteTag(element, "characterGenerator");
    	handleDeleteTag(element, "characterSet");
    	handleDeleteTag(element, "colour");
    	handleDeleteTag(element, "resolutionRation");
    	handleDeleteTag(element, "resolutionX");
    	handleDeleteTag(element, "resolutionY");
    	handleDeleteTag(element, "responseTime");
    	handleDeleteTag(element, "viewingAngle");
    	handleDeleteStereotype(element, "DisplayHW");
    };
    
    mapping.RecordElementRef=
    function(element){
    	handleDeleteStereotype(element, "RecordElementRef");
    };
    
    mapping.FlexrayCommunication=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "AbsolutelyScheduledTiming", "FlexrayAbsolutelyScheduledTiming");
    };
    
    mapping.ClientServerArrayElementMapping=
    function(element){
    	handleRenameStereotypeFromDependencyChild(element, "l_signal", "l_systemSignal");
    };
    
    mapping.ConfigurationClassAffection=
    function(element){
    	handleRenameStereotype(element, "ConfigurationClassAffection", "EcucConfigurationClassAffection");
    };
    
    mapping.CCU=
    function(element){
    	handleDeleteTag(element, "mode");
    	handleDeleteStereotype(element, "CCU");
    };
    
    mapping.IntegerValue=
    function(element){
    	handleRenameStereotype(element, "IntegerValue", "EcucNumericalParamValue");
    };
    
    mapping.L1=
    function(element){
    	handleRenameStereotype(element, "L1", "LParagraph");
    };
    
    mapping.SenderReceiverToSignalGroupMapping_dataElement=
    function(element){
    	handleOldIref(element, "SenderReceiverToSignalGroupMapping_dataElement");
    };
    
    mapping.L2=
    function(element){
    	handleRenameStereotype(element, "L2", "LOverviewParagraph");
    };
    
    mapping.ConnectorPrototype=
    function(element){
    	handleDeleteStereotype(element, "ConnectorPrototype");
    };
    
    mapping.L3=
    function(element){
    	handleDeleteTag(element, "l");
    	handleDeleteStereotype(element, "L3");
    };
    
    mapping.ParamConfMultiplicity=
    function(element){
    	handleRenameStereotype(element, "ParamConfMultiplicity", "EcucDefinitionElement");
    };
    
    mapping.DataElementPrototype=
    function(element){
    	handleDeleteTag(element, "isQueued");
    	handleRenameStereotype(element, "DataElementPrototype", "VariableDataPrototype");
    };
    
    mapping.MixedContent10=
    function(element){
    	handleDeleteStereotype(element, "MixedContent10");
    	handleDeleteStereotype(element, "SlData10");
    };
    
    mapping.EventControlledTiming=
    function(element){
    	handleRenameTag(element, "numberOfRepeats", "numberOfRepetitions");
    	handleDeleteStereotypeFromAggregates(element, "eventControlledTiming");
    };
    
    mapping.L4=
    function(element){
    	handleRenameStereotype(element, "L4", "LLongName");
    };
    
    mapping.L5=
    function(element){
    	handleRenameStereotype(element, "L5", "LVerbatim");
    };
    
    mapping.SenderRecRecordElementMapping=
    function(element){
    	handleRenameStereotypeFromDependencyChild(element, "l_signal", "l_systemSignal");
		handleDeleteStereotypeFromAggregates(element, "l_recordElement");
    };
    
    mapping.MemoryMappedAssemblyHWConnection=
    function(element){
    	handleDeleteTag(element, "baseAddress");
    	handleDeleteTag(element, "byteOrder");
    	handleDeleteTag(element, "cachable");
    	handleDeleteTag(element, "segmentUsage");
    	handleDeleteStereotype(element, "MemoryMappedAssemblyHWConnection");
    	handleDeleteStereotypeFromAggregates(element, "hwConnectionAccess");
    };
    
    mapping.CommunicationSpeed=
    function(element){
    	handleDeleteTag(element, "tolerance");
    	handleDeleteStereotype(element, "CommunicationSpeed");
    };
    
    mapping.CompuScaleGenericMath=
    function(element){
    	handleDeleteStereotype(element, "CompuScaleGenericMath");
    };
    
    mapping.ServiceComponentPrototype=
    function(element){
    	handleDeleteStereotype(element, "ServiceComponentPrototype");
    	handleDeleteStereotypeFromAggregates(element, "l_serviceComponent");
    };
    
    mapping.IoHwAbstractionServerAnnotation=
    function(element){
    	handleRenameTag(element, "BswResolution", "bswResolution");
    	handleRenameTag(element, "FilteringDebouncing", "filteringDebouncing");
    	handleRenameTag(element, "PulseTest", "pulseTest");
    	handleDeleteTag(element, "Age");
    	handleDeleteTag(element, "BswRangeMax");
    	handleDeleteTag(element, "BswRangeMin");
    	handleDeleteTag(element, "Unit");
    	handleDeleteStereotypeFromAggregates(element, "supportsReportRunnable");
    	handleDeleteStereotypeFromAggregates(element, "supportsWakeUpRunnable");
		handleDeleteStereotypeFromAggregates(element, "l_argumentPrototype");
		handleDeleteStereotypeFromAggregates(element, "l_dataElementPrototype");
    };
    
    mapping.PinHWConnection=
    function(element){
    	handleDeleteStereotype(element, "PinHWConnection");
    	handleDeleteStereotypeFromAggregates(element, "l_connectedPin");
    };
    
    mapping.PowerDriverHWElement=
    function(element){
    	handleDeleteTag(element, "currentLimitation");
    	handleDeleteTag(element, "defaultResetBehaviuor");
    	handleDeleteTag(element, "onStateResistance");
    	handleDeleteTag(element, "powerDriverType");
    	handleDeleteTag(element, "resetOnFaultBehaviour");
    	handleDeleteStereotype(element, "PowerDriverHWElement");
    	handleDeleteStereotypeFromAggregates(element, "notification");
    	handleDeleteStereotypeFromAggregates(element, "protection");
    };
    
    mapping.SwClassAttr=
    function(element){
    	handleDeleteStereotype(element, "SwClassAttr");
    	handleDeleteStereotypeFromAggregates(element, "swCalprmPrototype");
    	handleDeleteStereotypeFromAggregates(element, "swVariablePrototype");
    };
    
    mapping.PowerDriverProtection=
    function(element){
    	handleDeleteTag(element, "lossOfGroundProtection");
    	handleDeleteTag(element, "maxCurrentProtection");
    	handleDeleteTag(element, "maxVoltageProtection");
    	handleDeleteTag(element, "minCurrentProtection");
    	handleDeleteTag(element, "minVoltageProtection");
    	handleDeleteTag(element, "overTemperatureProtection");
    	handleDeleteTag(element, "reverseBatteryProtection");
    	handleDeleteStereotype(element, "PowerDriverProtection");
    };
    
    mapping.MlDataModel10=
    function(element){
    	handleDeleteStereotype(element, "MlDataModel10");
    };
    
    mapping.CommunicationPhysicalMedium=
    function(element){
    	handleDeleteTag(element, "physicalMediumDataLines");
    	handleDeleteTag(element, "physicalMediumStandard");
    	handleDeleteTag(element, "physicalMediumType");
    	handleDeleteStereotype(element, "CommunicationPhysicalMedium");
    };
    
    mapping.IPduTiming=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "cyclicTiming");
    	handleDeleteStereotypeFromAggregates(element, "eventControlledTiming");
    	handleDeleteStereotypeFromAggregates(element, "requestControlledTiming");
    };
    
    mapping.FlexRayTpConnection=
    function(element){
    	handleDeleteTag(element, "connectionPrioPdus");
    	handleRenameStereotype(element, "FlexRayTpConnection", "FlexrayTpConnection");
    };
    
    mapping.PWD=
    function(element){
    	handleDeleteTag(element, "mode");
    	handleDeleteTag(element, "phaseDetection");
    	handleDeleteStereotype(element, "PWD");
    };
    
    mapping.BooleanValue=
    function(element){
    	handleRenameStereotype(element, "BooleanValue", "EcucNumericalParamValue");
    };
    
    mapping.CompositionType=
    function(element){
    	handleRenameStereotype(element, "CompositionType", "CompositionSwComponentType");
    };
    
    mapping.IndexEntry=
    function(element){
    	handleRenameStereotype(element, "Ie", "IndexEntry");
    };
    
    mapping.NvBlockDescriptor=
    function(element){
    	var newElement = handleRenameStereotype(element, "NvBlockDescriptor", "NvBlockDescriptor");
		if(newElement!=null)
			element = newElement;
    	handleDeleteStereotypeFromAggregates(element, "l_ramBlockInitValue");
    	handleDeleteStereotypeFromAggregates(element, "l_romBlockInitValue");
    };
    
    mapping.MemoryMappedHWPort=
    function(element){
    	handleDeleteTag(element, "dataInterfaceWidth");
    	handleDeleteTag(element, "hwPortType");
    	handleDeleteStereotype(element, "MemoryMappedHWPort");
    };
    
    mapping.RecordType=
    function(element){
    	handleRenameStereotype(element, "RecordType", "ApplicationRecordDataType");
    };
    
    mapping.EcuConfiguration=
    function(element){
    	handleRenameStereotype(element, "EcuConfiguration", "EcucValueCollection");
    	handleDeleteStereotypeFromAggregates(element, "l_ecuSwComposition");
    	handleDeleteStereotypeFromAggregates(element, "l_module");
    };
    
    mapping.AsynchronousServerCallReturnsEvent=
    function(element){
    	handleDeleteStereotypeFromAggregatesFromChild(element, "l_eventSource");
    };
    
    mapping.PWM=
    function(element){
    	handleDeleteStereotype(element, "PWM");
    };
    
    mapping.EcucIntegerParamDef=
    function(element){
    	handleRenameTag(element, "defaultValue", "defaultValueValue");
    	handleRenameTag(element, "max", "ValueValue");
    	handleRenameTag(element, "min", "minValue");
    };
    
    mapping.CommunicationCluster=
    function(element){
    	handleDeleteTag(element, "maxFrameLength");
    	handleDeleteTag(element, "nmCoordinatorSyncPrio");
    	handleDeleteTag(element, "nmGlobalCoordinatorTime");
    	handleDeleteTag(element, "nmNodeDetectionEnabled");
    	handleDeleteTag(element, "nmNodeIdEnabled");
    	handleDeleteTag(element, "nmRepeatMessageSupport");
		handleRenameStereotype(element, "CommunicationCluster", getPropertyValueOfElement(element, "CommunicationCluster"));
		
    	if(hasStereotypeApplied(element, "CanCluster")){
            handleMoveCommentInNewElement(element, "PhysicalChannel", "CanClusterVariant", null);
		}
		else if(hasStereotypeApplied(element, "FlexrayCluster")){
			handleMoveCommentInNewElement(element, "PhysicalChannel", "FlexrayClusterVariant", null);
		}
		else if(hasStereotypeApplied(element, "LinCluster")){
			handleMoveCommentInNewElement(element, "PhysicalChannel", "LinClusterVariant", null);
		}
		else if(hasStereotypeApplied(element, "EthernetCluster")){
			handleMoveCommentInNewElement(element, "PhysicalChannel", "LinClusterVariant", null);
		}
		else if(hasStereotypeApplied(element, "TcanCluster")){
			handleMoveCommentInNewElement(element, "PhysicalChannel", "LinClusterVariant", null);
		}
    };
    
    mapping.DerivedEnumerationParamDef=
    function(element){
    	handleDeleteStereotype(element, "DerivedEnumerationParamDef");
    };
    
    mapping.RoleBasedPPortAssignment=
    function(element){
    	handleRenameStereotype(element, "RoleBasedPPortAssignment", "RoleBasedPortAssignment");
    	handleRenameStereotypeFromDependencyChild(element, "l_pPortPrototype", "l_portPrototype");
    };
    
    mapping.ConfigParameter=
    function(element){
    	handleRenameStereotype(element, "ConfigParameter", "EcucParameterDef");
    };
    
    mapping.LinScheduleTable=
    function(element){
    	handleDeleteTag(element, "priority");
    	handleDeleteStereotypeFromAggregates(element, "scheduleTable");
    };
    
    mapping.ServiceConnectorPrototype_applicationPort=
    function(element){
    	handleOldIref(element, "ServiceConnectorPrototype_applicationPort");
    };
    
    mapping.FlexrayPhysicalChannel=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "pduPool");
    	handleDeleteStereotypeFromAggregates(element, "tpConnectionControl");
    	handleDeleteStereotypeFromAggregates(element, "tpEcus");
    };
    
    mapping.FlexRayCommunicationConnector=
    function(element){
    	handleDeleteTag(element, "nmReadySleepTime");
    	handleRenameStereotype(element, "FlexRayCommunicationConnector", "FlexrayCommunicationConnector");
    };
    
    mapping.ServiceConnectorPrototype=
    function(element){
    	handleDeleteStereotype(element, "ServiceConnectorPrototype");
    };
    
    mapping.ComponentClustering_clusteredComponent=
    function(element){
    	handleOldIref(element, "ComponentClustering_clusteredComponent");
    };
    
    mapping.InstanceReferenceValue=
    function(element){
    	handleRenameStereotype(element, "InstanceReferenceValue", "EcucInstanceReferenceValue");
    };
    
    mapping.ProvidedMemorySegment=
    function(element){
    	handleDeleteTag(element, "alignment");
    	handleDeleteTag(element, "manufacturingQuality");
    	handleDeleteTag(element, "segmentSize");
    	handleDeleteTag(element, "separate");
    	handleDeleteStereotype(element, "ProvidedMemorySegment");
    	handleDeleteStereotypeFromAggregates(element, "architecturalQuality");
    };
    
    mapping.LocalParameterInitValueAssignment=
    function(element){
    	handleDeleteStereotype(element, "LocalParameterInitValueAssignment");
    };
    
    mapping.NvRequireComSpec=
    function(element){
    	var dependency = getDependencyIn(element, "l_initValue");
  if(dependency!=null){ 
   var refDestination = dependency.getDependsOn();
   refDestination.setOwner(element);
   deleteElement(dependency);
  }
    	handleDeleteStereotypeFromAggregates(element, "l_nvDataElement");
    };
    
    mapping.Code=
    function(element){
    	handleDeleteTag(element, "type");
    };
    
    mapping.ServiceComponentType=
    function(element){
    	handleDeleteStereotype(element, "ServiceComponentType");
    	handleRenameStereotype(element, "ServiceComponentType", "ServiceSwComponentType");
    	handleDeleteStereotypeFromAggregates(element, "l_bswModuleDescription");
    };
    
    mapping.DataSendPoint_dataElement=
    function(element){
    	handleOldIref(element, "DataSendPoint_dataElement");
    };
    
    mapping.DependencyOnArtifact=
    function(element){
    	handleReloadTagOnNewStereotype(element, "usage");
    };
    
    mapping.FootnoteText=
    function(element){
    	handleRenameStereotype(element, "Ft", "FootnoteText");
    };
    
    mapping.ISignalTriggering=
    function(element){
    	handleRenameStereotypeFromDependencyChild(element, "l_signal", "l_iSignal");
    };
    
    mapping.LinSlave=
    function(element){
    	handleMoveTagInNewElement(element,  "protocolVersion",  "LinSlaveVariant",  "protocolVersion");
    	handleMoveTagInNewElement(element,  "configuredNad",  "LinSlaveVariant",  "configuredNad");
    	handleMoveCommentInNewElement(element,  "LinErrorResponse",  "LinSlaveVariant",  "LinErrorResponse");
    };
    
    mapping.ClientServerRecordElementMapping=
    function(element){
    	handleRenameStereotypeFromDependencyChild(element, "l_signal", "l_systemSignal");
		handleDeleteStereotypeFromAggregates(element, "l_recordElement");
    };
    
    mapping.ArrayType=
    function(element){
    	handleRenameStereotype(element, "ArrayType", "ApplicationArrayDataType");
    	handleDeleteStereotypeFromAggregates(element, "element");
    };
    
    mapping.CanTpConnection=
    function(element){
    	handleRenameTag(element, "addressingFormat", "addressingFormat");
    	handleRenameTag(element, "blockSize", "maxBlockSizet");
    	handleRenameTag(element, "paddingActivation", "paddingActivation");
    };
    
    mapping.Vt=
    function(element){
    	handleDeleteTag(element, "xmlspace");
    	handleDeleteStereotype(element, "Vt");
    	handleDeleteStereotypeFromAggregates(element, "AtpMixedStringData");
    };
    
    mapping.Vf=
    function(element){
    	handleDeleteTag(element, "mixedContentIndex");
    };
    
    mapping.SwAxisIndividual=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "swMaxAxisPoints");
    	handleDeleteStereotypeFromAggregates(element, "swMinAxisPoints");
    };
    
    mapping.NvProvideComSpec=
    function(element){
    	handleDeleteStereotype(element, "NvProvideComSpec");
    	handleDeleteStereotypeFromAggregates(element, "l_nvDataElement");
    	handleDeleteStereotypeFromAggregates(element, "l_ramBlockInitValue");
    	handleDeleteStereotypeFromAggregates(element, "l_romBlockInitValue");
    };
    
    mapping.ArCalprmRef_CalprmElementPrototype=
    function(element){
    	handleOldIref(element, "ArCalprmRef_CalprmElementPrototype");
    };
    
    mapping.SwClassPrototype=
    function(element){
    	handleDeleteStereotype(element, "SwClassPrototype");
    };
    
    mapping.DependencyOnFile=
    function(element){
    	var newElement = handleRenameStereotype(element, "DependencyOnFile", "DependencyOnArtifact");
		if(newElement!=null)
			element = newElement;
    	handleDeleteStereotypeFromAggregates(element, "xfile");
    };
    
    mapping.SwcObdPidServiceNeeds=
    function(element){
    	handleDeleteStereotype(element, "SwcObdPidServiceNeeds");
		handleDeleteStereotypeFromAggregates(element, "callbackPort");
    };
    
    mapping.BswBehavior=
    function(element){
    	var bswModuleDescription = createElementOn(element.getOwner(), "BswModuleDescription", null);
		if(bswModuleDescription!=null){
		   element.setOwner(bswModuleDescription);
		   element = changeMetaClassAndStereotype(element, "BswInternalBehavior");
		}
    	handleDeleteStereotypeFromAggregates(element, "BswModuleEntity");
    	handleDeleteStereotypeFromAggregates(element, "BswCyclicEvent");
		handleDeleteStereotypeFromAggregates(element, "BswSporadicEvent");
    	handleDeleteStereotypeFromAggregates(element, "ExclusiveArea");
    	handleDeleteStereotypeFromAggregates(element, "l_module");
    };
    
    mapping.CalprmAccess_CalprmElementPrototype=
    function(element){
    	handleOldIref(element, "CalprmAccess_CalprmElementPrototype");
    };
    
    mapping.Compu=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "compuContentType");
    };
    
    mapping.OpaqueLiteral=
    function(element){
    	if(handleRenameStereotype(element, "OpaqueLiteral", "TextValueSpecification") && hasStereotypeApplied(element.getOwner(), "PortAPIOption"))
   handleMoveInNewChild(element, "PortDefinedArgumentValue");
    };
	
	mapping.SwcComMgrUserNeeds=
    function(element){
		handleDeleteStereotype(element, "SwcComMgrUserNeeds");
		handleDeleteStereotypeFromAggregates(element, "callbackPort");
		handleDeleteStereotypeFromAggregates(element, "serviceCallPort");
	}
	
	mapping.SwcDiagnosticCommunicationNeeds=
    function(element){
		handleDeleteStereotype(element, "SwcDiagnosticCommunicationNeeds");
		handleDeleteStereotypeFromAggregates(element, "callbackPort");
		handleDeleteStereotypeFromAggregates(element, "serviceCallPort");
	}
	
	mapping.SwcDiagnosticEventNeeds=
    function(element){
		handleDeleteStereotype(element, "SwcDiagnosticEventNeeds");
		handleDeleteStereotypeFromAggregates(element, "callbackPort");
		handleDeleteStereotypeFromAggregates(element, "serviceCallPort");
	}
	
	mapping.SwcEcuStateMgrUserNeeds=
    function(element){
		handleDeleteStereotype(element, "SwcEcuStateMgrUserNeeds");
		handleDeleteStereotypeFromAggregates(element, "serviceCallPort");
	}	
	
	mapping.SwcFunctionInhibitionNeeds=
    function(element){
		handleDeleteStereotype(element, "SwcFunctionInhibitionNeeds");
		handleDeleteStereotypeFromAggregates(element, "serviceCallPort");
	}
	
	mapping.SwcNvBlockNeeds=
    function(element){
		handleDeleteStereotype(element, "SwcNvBlockNeeds");
    	handleDeleteStereotypeFromAggregates(element, "l_defaultBlock");
    	handleDeleteStereotypeFromAggregates(element, "l_mirrorBlock");
    	handleDeleteStereotypeFromAggregates(element, "l_nvDataPortPrototype");
		handleDeleteStereotypeFromAggregates(element, "callBackPort");
		handleDeleteStereotypeFromAggregates(element, "serviceCallPort");
	}	
    
    mapping.ConfigReference=
    function(element){
    	handleRenameStereotype(element, "ConfigReference", "EcucAbstractReferenceDef");
    };
    
    mapping.MemorySectionLocation=
    function(element){
    	handleChangeTargetPropertyOnStereotype(element, "l_providedMemory");
    };
    
    mapping.DataWriteAccess_dataElement=
    function(element){
    	handleOldIref(element, "ModeDisablingDependency_dependentOnMode");
    };
    
    mapping.AssemblyHWConnection=
    function(element){
    	handleDeleteStereotype(element, "AssemblyHWConnection");
    	handleDeleteStereotypeFromAggregates(element, "l_hwPort");
    };
    
    mapping.BooleanLiteral=
    function(element){
    	if(handleRenameStereotype(element, "BooleanLiteral", "TextValueSpecification") && hasStereotypeApplied(element.getOwner(), "PortAPIOption"))
			handleMoveInNewChild(element, "PortDefinedArgumentValue");
    };
    
    mapping.CanCommunicationController=
    function(element){
    	handleDeleteTag(element, "nmMsgCycleOffset");
    	handleDeleteTag(element, "nmMsgReducedTime");
    	handleDeleteTag(element, "nmUserDataEnabled");
		
		var canControllerConfigurations = getAnnotationsIn(element, "CanControllerConfiguration");
		var stCount = canControllerConfigurations.length;
		for (var i = 0; i <stCount; i++) {
			var canControllerConfiguration = canControllerConfigurations[i];
			handleMoveInNewChild(canControllerConfiguration, "CanCommunicationControllerVariant");
		}
    };
    
    mapping.WorstCaseExecutionTime=
    function(element){
    	handleMoveTagInNewElement(element, "maximalExecutionTime", "maximumExecutionTime", "cseCodeFactor");
    	handleMoveTagInNewElement(element, "minimalExecutionTime", "minimumExecutionTime", "cseCodeFactor");
    	handleRenameStereotype(element, "WorstCaseExecutionTime", "AnalyzedExecutionTime");
    };
    
    mapping.RoughEstimateOfExecutionTime=
    function(element){
    	handleRenameTag(element, "description", "additionalInformation");
    };
    
    mapping.SystemSignal=
    function(element){
    	handleDeleteTag(element, "length");
    	handleDeleteStereotypeFromAggregates(element, "l_dataType");
    	handleDeleteStereotypeFromAggregates(element, "l_initValue");
    };
    
    mapping.MlDataModel4=
    function(element){
    	handleDeleteStereotype(element, "MlDataModel4");
    };
    
    mapping.MlDataModel5=
    function(element){
    	handleDeleteStereotype(element, "MlDataModel5");
    };
    
    mapping.SwClassImpl=
    function(element){
    	handleDeleteStereotype(element, "SwClassImpl");
    	handleDeleteStereotypeFromAggregates(element, "l_swClassPrototype");
    	handleDeleteStereotypeFromAggregates(element, "swDataDefProps");
    };
    
    mapping.CommunicationFilter=
    function(element){
    	handleDeleteTag(element, "filterCount");
    	handleDeleteTag(element, "filterWidth");
    	handleDeleteTag(element, "wildCards");
    	handleDeleteStereotype(element, "CommunicationFilter");
    };
    
    mapping.MlDataModel1=
    function(element){
    	handleDeleteStereotype(element, "MlDataModel1");
    };
    
    mapping.MlDataModel2=
    function(element){
    	handleDeleteStereotype(element, "MlDataModel2");
    };
    
    mapping.MlDataModel3=
    function(element){
    	handleDeleteStereotype(element, "MlDataModel3");
    };
    
    mapping.AutosarDataPrototype=
    function(element){
    	handleRenameStereotype(element, "DataPrototype", "AutosarDataPrototype");
    };
    
    mapping.FlexrayIsoTpNode=
    function(element){
    	handleDeleteStereotype(element, "FlexrayIsoTpNode");
    };
    
    mapping.ElectricalRange=
    function(element){
    	handleDeleteTag(element, "maxCurrent");
    	handleDeleteTag(element, "maxVoltage");
    	handleDeleteTag(element, "minCurrent");
    	handleDeleteTag(element, "minVoltage");
    	handleDeleteTag(element, "typicalCurrent");
    	handleDeleteTag(element, "typicalVoltage");
    	handleDeleteStereotype(element, "ElectricalRange");
    };
    
    mapping.DataFilter=
    function(element){
    	if(hasStereotypeAppliedAndSubtypes(element.getOwner(), "ReceiverComSpec")){
    if(unapplyStereotype(element, "Always")){
     logger.fine("The DataFilter 'Always' has been unapplied");
     transformTagsFromOldStereotypeToLocalTag(element, "Always");
    }
    else if(unapplyStereotype(element, "MaskedNewDiffersMaskedOld")){
     logger.fine("The DataFilter 'MaskedNewDiffersMaskedOld' has been unapplied");
     transformTagsFromOldStereotypeToLocalTag(element, "MaskedNewDiffersMaskedOld");
    }
    else if(unapplyStereotype(element, "MaskedNewDiffersX")){
     logger.fine("The DataFilter 'MaskedNewDiffersX' has been unapplied");
     transformTagsFromOldStereotypeToLocalTag(element, "MaskedNewDiffersX");
    }
    else if(unapplyStereotype(element, "MaskedNewEqualsX")){
     logger.fine("The DataFilter 'MaskedNewEqualsX' has been unapplied");
     transformTagsFromOldStereotypeToLocalTag(element, "MaskedNewEqualsX");
    }
    else if(unapplyStereotype(element, "Never")){
     logger.fine("The DataFilter 'Never' has been unapplied");
     transformTagsFromOldStereotypeToLocalTag(element, "Never");
    }
    else if(unapplyStereotype(element, "NewIsOutside")){
     logger.fine("The DataFilter 'NewIsOutside' has been unapplied");
     transformTagsFromOldStereotypeToLocalTag(element, "NewIsOutside");
    }
    else if(unapplyStereotype(element, "NewIsWithin")){
     logger.fine("The DataFilter 'NewIsWithin' has been unapplied");
     transformTagsFromOldStereotypeToLocalTag(element, "NewIsWithin");
    }
    else if(unapplyStereotype(element, "OneEveryN")){
     logger.fine("The DataFilter 'OneEveryN' has been unapplied");
     transformTagsFromOldStereotypeToLocalTag(element, "OneEveryN");
    }
  }
  else{
   if(handleRenameStereotype(element, "Always", "DataFilter")){
     fillInDataFilterTypeTag(element, "Always");
   }
   else if(handleRenameStereotype(element, "MaskedNewDiffersMaskedOld", "DataFilter")){
     fillInDataFilterTypeTag(element, "MaskedNewDiffersMaskedOld");
   }
   else if(handleRenameStereotype(element, "MaskedNewDiffersX", "DataFilter")){
     fillInDataFilterTypeTag(element, "MaskedNewDiffersX");
   }
   else if(handleRenameStereotype(element, "MaskedNewEqualsX", "DataFilter")){
     fillInDataFilterTypeTag(element, "MaskedNewEqualsX");
   }
   else if(handleRenameStereotype(element, "Never", "DataFilter")){
     fillInDataFilterTypeTag(element, "Never");
   }
   else if(handleRenameStereotype(element,  "NewIsOutside", "DataFilter")){
     fillInDataFilterTypeTag(element,  "NewIsOutside");
   }
   else if(handleRenameStereotype(element,  "NewIsWithin", "DataFilter")){
     fillInDataFilterTypeTag(element,  "NewIsWithin");
   }
   else if(handleRenameStereotype(element,  "OneEveryN", "DataFilter")){
     fillInDataFilterTypeTag(element,  "OneEveryN");
   }
  }
    };
    
    mapping.IPduMapping=
    function(element){
    	handleDeleteTag(element, "pdurTpChunkSize");
    	handleDeleteStereotypeFromAggregates(element, "SourceIPduRef");
    };
    
    mapping.IPduTriggering=
    function(element){
    	handleRenameStereotype(element, "IPduTriggering", "PduTriggering");
    	handleDeleteStereotypeFromAggregates(element, "timingRequirement");
    };
    
    mapping.NvBlockDataMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "nvRamBlockElementRef");
    };
    
    mapping.ModuleConfiguration=
    function(element){
    	handleRenameStereotype(element, "ModuleConfiguration", "EcucModuleConfigurationValues");
    };
    
    mapping.Implementation=
    function(element){
    	handleRenameTag(element, "swMajorVersion", "swVersion");
    	handleRenameTag(element, "codeGenerator", "usedCodeGenerator");
    	handleDeleteTag(element, "swMinorVersion");
    	handleDeleteTag(element, "swPatchVersion");
		handleDeleteStereotypeFromAggregates(element, "l_processor");
		if(hasStereotypeApplied(element, "Implementation"))
			handleRenameStereotype(element, "Implementation", getPropertyValueOfElement(element, "Implementation"));
    };
    
    mapping.RelativelyScheduledTiming=
    function(element){
    	handleRenameStereotype(element, "RelativelyScheduledTiming", "ScheduleTableEntry");
		handleDeleteStereotypeFromAggregates(element, "l_scheduleTable");
    };
    
    mapping.InitValueAssignment=
    function(element){
    	handleDeleteStereotype(element, "InitValueAssignment");
    	handleDeleteStereotypeFromAggregates(element, "l_initValue");
    	handleDeleteStereotypeFromAggregates(element, "l_parameter");
    };
    
    mapping.AnalogueIO=
    function(element){
    	handleDeleteTag(element, "accuracy");
    	handleDeleteTag(element, "conversionTime");
    	handleDeleteTag(element, "mode");
    	handleDeleteTag(element, "multiplexedM");
    	handleDeleteTag(element, "multiplexedN");
    	handleDeleteTag(element, "resolution");
    	handleDeleteTag(element, "width");
    	handleDeleteStereotype(element, "AnalogueIO");
    	handleDeleteStereotypeFromAggregates(element, "externalReferenceVoltage");
    };
    
    mapping.CalprmElementPrototype=
    function(element){
    	handleRenameStereotype(element, "CalprmElementPrototype", "ParameterDataPrototype");
    };
    
    mapping.HWPortMapping=
    function(element){
    	handleDeleteStereotype(element, "HWPortMapping");
    	handleDeleteStereotypeFromAggregates(element, "l_communicationConnector");
    	handleDeleteStereotypeFromAggregates(element, "l_ecuCommunicationPort");
    };
    
    mapping.SwCalprmImpl=
    function(element){
    	handleDeleteStereotype(element, "SwCalprmImpl");
    	handleDeleteStereotypeFromAggregates(element, "l_swCalprmPrototype");
    	handleDeleteStereotypeFromAggregates(element, "swDataDefProps");
    };
    
    mapping.CommunicationPeripheral=
    function(element){
    	handleDeleteTag(element, "architecture");
    	handleDeleteTag(element, "monitor");
    	handleDeleteTag(element, "timestampAvailable");
    	handleDeleteStereotype(element, "CommunicationPeripheral");
    	handleDeleteStereotypeFromAggregates(element, "acceptanceFilter");
    	handleDeleteStereotypeFromAggregates(element, "l_clock");
    	handleDeleteStereotypeFromAggregates(element, "errorDetection");
    	handleDeleteStereotypeFromAggregates(element, "hwPort");
    	handleDeleteStereotypeFromAggregates(element, "protocol");
    	handleDeleteStereotypeFromAggregates(element, "rejectionFilter");
    };
    
    mapping.ADC=
    function(element){
    	handleDeleteTag(element, "behaviourAtLimit");
    	handleDeleteStereotype(element, "ADC");
    };
    
    mapping.ArCalprmRef=
    function(element){
    	handleRenameStereotype(element, "ArCalprmRef", "AutosarParameterRef");
		transformTagsFromOldStereotypeToLocalTag(element, "ArCalprmRef");
	};
    
    mapping.CanTpConnectionChannel=
    function(element){
    	handleDeleteTag(element, "channelModeType");
    	handleDeleteTag(element, "minimumSeparationTime");
    	handleDeleteTag(element, "multicastAddressing");
    	handleDeleteTag(element, "taType");
    	handleDeleteTag(element, "timeoutAs");
    	handleDeleteTag(element, "timeoutBr");
    	handleDeleteTag(element, "timeoutBs");
    	handleDeleteTag(element, "timeoutCr");
    	handleDeleteTag(element, "timeoutCs");
    	handleRenameStereotype(element, "CanTpConnectionChannel", "CanTpChannel");
    	handleDeleteStereotypeFromAggregates(element, "l_reversedTpSdu");
    	handleRenameStereotypeFromDependencyChild(element, "l_source", "l_transmitter");
    	handleRenameStereotypeFromDependencyChild(element, "l_target", "l_receiver");
    };
    
    mapping.Sd=
    function(element){
    	handleDeleteStereotype(element, "sdContent");
    };
    
    mapping.BswSporadicEvent=
    function(element){
    	handleDeleteTag(element, "delayTime");
    	handleRenameStereotype(element, "BswSporadicEvent", "BswInternalTriggerOccurredEvent");
    };
    
    mapping.EcucFloatParamDef=
    function(element){
    	handleRenameTag(element, "defaultValue", "defaultValueValue");
    	handleRenameTag(element, "max", "maxValue");
    	handleRenameTag(element, "min", "minValue");
    };
    
    mapping.SymbolProps=
    function(element){
    	handleDeleteStereotype(element, "SymbolProps");
    };
    
    mapping.PowerSupplyCurrentNotification=
    function(element){
    	handleDeleteTag(element, "hysteresis");
    	handleDeleteTag(element, "level");
    	handleDeleteStereotype(element, "PowerSupplyCurrentNotification");
    	handleDeleteStereotypeFromAggregates(element, "l_interrupt");
    };
    
    mapping.CommunicationProtocol=
    function(element){
    	handleDeleteTag(element, "version");
    	handleDeleteStereotype(element, "CommunicationProtocol");
    };
    
    mapping.SwCalprmAxisCommonAxis=
    function(element){
    	handleDeleteStereotype(element, "SwCalprmAxisCommonAxis");
    	handleDeleteStereotypeFromAggregates(element, "SwAxisGrouped");
    };
    
    mapping.SourceIPduRef=
    function(element){
    	handleDeleteStereotype(element, "SourceIPduRef");
    	handleDeleteStereotypeFromAggregates(element, "defaultValue");
    	handleDeleteStereotypeFromAggregates(element, "l_sourceIPdu");
    };
    
    mapping.System=
    function(element){
    	handleDeleteTag(element, "pncVectorLength");
    	handleDeleteTag(element, "pncVectorOffset");
    	handleMoveReferenceInNewElement(element, "l_fibexElement", "PortPrototypeRefConditional", "l_fibexElement");
    };
    
    mapping.ExecutionTime=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "ecu");
    	handleRenameStereotypeFromDependencyChild(element, "l_externalLibrary", "l_includedLibrary");
    	handleRenameStereotypeFromDependencyChild(element, "l_runnable", "l_executableEntity");
		handleRenameStereotype(element, "ExecutionTime", getPropertyValueOfElement(element, "ExecutionTime"));
    };
    
    mapping.StringLiteral=
    function(element){
    	if(handleRenameStereotype(element, "StringLiteral", "TextValueSpecification") && hasStereotypeApplied(element.getOwner(), "PortAPIOption"))
   handleMoveInNewChild(element, "PortDefinedArgumentValue");
    };
    
    mapping.UnqueuedSenderComSpec=
    function(element){
    	handleDeleteTag(element, "canInvalidate");
    	handleRenameStereotype(element, "UnqueuedSenderComSpec", "NonqueuedSenderComSpec");
		handleDeleteStereotypeFromAggregates(element, "l_initValue");
    };
    
    mapping.ValueByFormula=
    function(element){
    	handleDeleteStereotype(element, "ValueByFormula");
    	handleDeleteStereotypeFromAggregates(element, "AtpMixedStringData");
    };
    
    mapping.SwComponentPrototype=
    function(element){
    	handleRenameStereotype(element, "ComponentPrototype", "SwComponentPrototype");
    };
    
    mapping.MemoryAccess=
    function(element){
    	handleDeleteTag(element, "accessType");
    	handleDeleteStereotype(element, "MemoryAccess");
    	handleDeleteStereotypeFromAggregates(element, "time");
    };
    
    mapping.MemorySection=
    function(element){
    	handleDeleteTag(element, "sectionName");
    	moveTagInSwAddrmethod(element, "sectionType", "l_swAddrMethod");
    };
    
    mapping.DataReadAccess_dataElement=
    function(element){
    	handleOldIref(element, "DataReadAccess_dataElement");
    };
    
    mapping.RecordSpecification=
    function(element){
    	handleRenameStereotype(element, "RecordSpecification", "RecordValueSpecification");
    	handleDeleteStereotypeFromAggregates(element, "element");
    };
	
	mapping.NvDataPortAnnotation=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_nvDataPrototype");
    };
	
    mapping.DisplayName=
    function(element){
    	handleDeleteStereotype(element, "DisplayName");
    	handleDeleteStereotypeFromAggregates(element, "AtpMixedStringData");
    };
    
    mapping.ECUElectronics=
    function(element){
    	handleDeleteTag(element, "canBeDisabled");
    	handleDeleteStereotype(element, "ECUElectronics");
    };
    
    mapping.UnitSpec=
    function(element){
    	handleDeleteStereotype(element, "UnitSpec");
    	handleDeleteStereotypeFromAggregates(element, "physicalDimension");
    	handleDeleteStereotypeFromAggregates(element, "unit");
    	handleDeleteStereotypeFromAggregates(element, "unitGroup");
    };
    
    mapping.EndToEndProtectionDataElementPrototype=
    function(element){
    	handleDeleteStereotype(element, "EndToEndProtectionDataElementPrototype");
    };
    
    mapping.ServiceNeeds=
    function(element){
    	handleRenameStereotype(element, "DiagnosticCommunicationNeeds", "DiagnosticCommunicationManagerNeeds");
		if(hasStereotypeApplied(element, "ServiceNeeds"))
			handleRenameStereotype(element, "ServiceNeeds", getPropertyValueOfElement(element, "ServiceNeeds"));
    };
    
    mapping.SwServiceAccessedElementSet=
    function(element){
    	handleDeleteStereotype(element, "SwServiceAccessedElementSet");
    };
    
    mapping.CanTpNode=
    function(element){
    	handleDeleteTag(element, "rxWftMax");
    };
    
    mapping.ReportFeature=
    function(element){
    	handleDeleteStereotype(element, "ReportFeature");
    };
    
    mapping.IntegerLiteral=
    function(element){
    	handleRenameTag(element, "value", "valueValue");
    	if(handleRenameStereotype(element, "IntegerLiteral", "NumericalValueSpecification") && hasStereotypeApplied(element.getOwner(), "PortAPIOption"))
   handleMoveInNewChild(element, "PortDefinedArgumentValue");
    };
    
    mapping.Sdx=
    function(element){
    	handleDeleteTag(element, "mixedContentIndex");
    };
    
    mapping.FlexrayIsoTpConnection=
    function(element){
    	handleDeleteTag(element, "bandwidthLimitation");
    	handleDeleteStereotype(element, "FlexrayIsoTpConnection");
    	handleDeleteStereotypeFromAggregates(element, "l_directTpSdu");
    	handleDeleteStereotypeFromAggregates(element, "l_multicast");
    	handleDeleteStereotypeFromAggregates(element, "l_receiver");
    	handleDeleteStereotypeFromAggregates(element, "l_reversedTpSdu");
    	handleDeleteStereotypeFromAggregates(element, "l_rxPduPool");
    	handleDeleteStereotypeFromAggregates(element, "l_tpConnectionControl");
    	handleDeleteStereotypeFromAggregates(element, "l_transmitter");
    	handleDeleteStereotypeFromAggregates(element, "l_txPduPool");
    };
    
    mapping.ServiceConnectorPrototype_servicePort=
    function(element){
    	handleOldIref(element, "ServiceConnectorPrototype_servicePort");
    };
    
    mapping.ArraySpecification=
    function(element){
    	handleRenameStereotype(element, "ArraySpecification", "ArrayValueSpecification");
    };
    
    mapping.HWConnection=
    function(element){
    	handleDeleteStereotype(element, "HWConnection");
    	handleDeleteStereotypeFromAggregates(element, "connectedPin");
    };
    
    mapping.BswModuleDependency=
    function(element){
    	handleMoveReferenceInNewElement(element, "l_expectedCallback", "BswModuleEntryRefConditional", "l_bswModuleEntry");
    	handleMoveReferenceInNewElement(element, "l_requiredEntry", "BswModuleEntryRefConditional", "l_bswModuleEntry");
    };
    
    mapping.MeasuredExecutionTime=
    function(element){
    	handleMoveTagInNewElement(element, "averageExecutionTime", "nominalExecutionTime", "cseCodeFactor");
    	handleMoveTagInNewElement(element, "maximalExecutionTime", "maximumExecutionTime", "cseCodeFactor");
    	handleMoveTagInNewElement(element, "minimalExecutionTime", "minimumExecutionTime", "cseCodeFactor");
    };
    
    mapping.L10=
    function(element){
    	handleRenameStereotype(element, "L10", "LPlainText");
    };
    
    mapping.SignalTransformation=
    function(element){
    	handleDeleteStereotype(element, "SignalTransformation");
    	handleDeleteStereotypeFromAggregates(element, "l_inputHwPort");
    	handleDeleteStereotypeFromAggregates(element, "l_outputHwPort");
    };
    
    mapping.FlexrayTpNode=
    function(element){
    	handleRenameStereotypeFromDependencyChild(element, "l_source", "l_transmitter");
    	handleRenameStereotypeFromDependencyChild(element, "l_target", "l_receiver");
    };
    
    mapping.SwCalprmPrototype=
    function(element){
    	handleDeleteStereotype(element, "SwCalprmPrototype");
    	handleDeleteStereotypeFromAggregates(element, "swDataDefProps");
    };
    
    mapping.SignalPort=
    function(element){
    	handleRenameStereotype(element, "SignalPort", "ISignalPort");
    	handleDeleteStereotypeFromAggregates(element, "dataFilter");
    };
    
    mapping.CanCommunicationConnector=
    function(element){
    	handleDeleteTag(element, "pncWakeupCanId");
    	handleDeleteTag(element, "pncWakeupCanIdExtended");
    	handleDeleteTag(element, "pncWakeupCanIdMask");
    	handleDeleteTag(element, "pncWakeupDataMask");
    	handleDeleteTag(element, "pncWakeupDlc");
    };
    
    mapping.SoftwareComposition=
    function(element){
    	handleRenameStereotype(element, "SoftwareComposition", "RootSwCompositionPrototype");
    };
    
    mapping.CompanyRevisionInfo=
    function(element){
    	handleDeleteStereotype(element, "CompanyRevisionInfo");
    };
    
    mapping.RequestControlledTiming=
    function(element){
    	handleDeleteTag(element, "finalRepetitions");
    	handleDeleteStereotype(element, "RequestControlledTiming");
    	handleDeleteStereotypeFromAggregates(element, "responseTime");
    };
    
    mapping.AssemblySwConnector=
    function(element){
    	handleRenameStereotype(element, "AssemblyConnectorPrototype", "AssemblySwConnector");
    };
    
    mapping.SwServiceProps=
    function(element){
    	handleDeleteTag(element, "swImplPolicy");
    	handleDeleteTag(element, "swServiceReentrance");
    	handleDeleteStereotype(element, "SwServiceProps");
    };
    
    mapping.RoleBasedRPortAssignment=
    function(element){
    	handleRenameStereotype(element, "RoleBasedRPortAssignment", "RoleBasedPortAssignment");
    	handleRenameStereotypeFromDependencyChild(element, "l_rPortPrototype", "l_portPrototype");
    };
    
    mapping.TimeRange=
    function(element){
    	handleDeleteTag(element, "max");
    	handleDeleteTag(element, "min");
    	handleDeleteTag(element, "typical");
    	handleDeleteStereotype(element, "TimeRange");
    };
    
    mapping.XfileSo=
    function(element){
    	handleDeleteTag(element, "tool");
    	handleDeleteTag(element, "toolVersion");
    	handleDeleteStereotype(element, "XfileSo");
    	handleDeleteStereotypeFromAggregates(element, "url");
    };
    
    mapping.DataReadAccess=
    function(element){
	    handleRenameStereotype(element, "DataReadAccess", "dataReadAccess");
	}
	
	mapping.DataWriteAccess=
    function(element){
		handleRenameStereotype(element, "DataWriteAccess", "dataWriteAccess");
	}
	
	mapping.DataSendPoint=
    function(element){
		handleRenameStereotype(element, "DataSendPoint", "dataSendPoint");
	}
	
	mapping.DataReceivePoint=
    function(element){
		handleRenameStereotype(element, "DataReceivePoint", "dataReceivePoint");
		transformTagsFromOldStereotypeToLocalTag(element, "DataReceivePoint");
    }
	
    mapping.RunnableEntity=
    function(element){
    	handleDeleteTag(element, "minimumStartInterval");
    	handleDeleteStereotypeFromAggregates(element, "l_bswEntity");
    	handleDeleteStereotypeFromAggregates(element, "CalprmAccess");
    	handleDeleteStereotypeFromAggregates(element, "l_canEnterExclusiveArea");
    	handleDeleteStereotypeFromAggregates(element, "l_perInstanceCalprmAccess");
    	handleDeleteStereotypeFromAggregates(element, "l_readVariable");
    	handleDeleteStereotypeFromAggregates(element, "l_runsInsideExclusiveArea");
    	handleDeleteStereotypeFromAggregates(element, "l_sharedCalprmAccess");
    	handleDeleteStereotypeFromAggregates(element, "l_writtenVariable");
    };
    
    mapping.ApplicationRecordElement=
    function(element){
    	handleRenameStereotype(element, "RecordElement", "ApplicationRecordElement");
    };
    
    mapping.HWContainer=
    function(element){
    	handleDeleteStereotype(element, "HWContainer");
    };
    
    mapping.InterruptProduceHWPort=
    function(element){
    	handleDeleteStereotype(element, "InterruptProduceHWPort");
    };
    
    mapping.PncMapping=
    function(element){
    	handleDeleteTag(element, "pncIdentifier");
    	handleDeleteStereotype(element, "PncMapping");
    	handleDeleteStereotypeFromAggregates(element, "l_pncGroup");
    	handleDeleteStereotypeFromAggregates(element, "l_wakeupFrame");
    };
    
    mapping.ModeSwitchComSpec=
    function(element){
    	handleRenameStereotype(element, "ModeSwitchComSpec", "ModeSwitchSenderComSpec");
    	handleDeleteStereotypeFromAggregates(element, "l_modeGroup");
    	handleDeleteStereotypeFromAggregates(element, "modeSwitchedAck");
    };
    
    mapping.CommunicationHWPort=
    function(element){
    	handleDeleteStereotype(element, "CommunicationHWPort");
    	handleDeleteStereotypeFromAggregates(element, "physicalLayer");
    	handleDeleteStereotypeFromAggregates(element, "speed");
    };
    
    mapping.PortGroup=
    function(element){
    	handleMoveReferenceInNewElement(element, "l_outerPort", "outerPort", "l_portPrototype");
    };
    
    mapping.SwCodeSyntax=
    function(element){
    	handleDeleteStereotype(element, "SwCodeSyntax");
    };
    
    mapping.EndToEndDescription=
    function(element){
    	handleDeleteTag(element, "maxNoNewOrRepeatedData");
    	handleDeleteTag(element, "syncCounterInit");
    };
    
    mapping.IPdu=
    function(element){
    	handleDeleteTag(element, "length");
    	handleDeleteTag(element, "unusedBitPattern");
    };
    
    mapping.SwcToSwcSignal_dataElement=
    function(element){
    	handleOldIref(element, "SwcToSwcSignal_dataElement");
    };
    
    mapping.PrimitiveType=
    function(element){
    	handleRenameStereotype(element, "PrimitiveType", "ApplicationPrimitiveDataType");
    	handleDeleteStereotypeFromAggregates(element, "swDataDefProps");
    };
    
    mapping.PowerDriverNotification=
    function(element){
    	handleDeleteTag(element, "lossOfGround");
    	handleDeleteTag(element, "maxCurrent");
    	handleDeleteTag(element, "maxVoltage");
    	handleDeleteTag(element, "minCurrent");
    	handleDeleteTag(element, "minVoltage");
    	handleDeleteTag(element, "openLoad");
    	handleDeleteTag(element, "overTemperature");
    	handleDeleteTag(element, "shortLoad");
    	handleDeleteTag(element, "shortToBatt");
    	handleDeleteTag(element, "shortToGround");
    	handleDeleteStereotype(element, "PowerDriverNotification");
    	handleDeleteStereotypeFromAggregates(element, "l_issuedInterruptSource");
    };
    
    mapping.ModuleDef=
    function(element){
    	handleDeleteTag(element, "apiServicePrefix");
		
		var newElement = handleRenameStereotype(element, "ModuleDef", "EcucModuleDef");
		if(newElement!=null){
			element = newElement;
		
			var choiceContainerDefs = getAnnotationsIn(element, "ChoiceContainerDef");
			if(choiceContainerDefs.length>0){
				var stCount = choiceContainerDefs.length;
				for (var i = 0; i < stCount; i++) {
					logger.fine(stCount+" annotations found in "+element.getName());
					var choiceContainerDef = choiceContainerDefs[i];
					choiceContainerDef = handleRenameStereotype(choiceContainerDef, "ChoiceContainerDef", "EcucChoiceContainerDef");
					  
					var choices = getAnnotationsIn(choiceContainerDef, "choice");
					var stCountC = choices.length;
					for (var l = 0; l < stCountC; l++) {
						var child = choices[l];
						var renamed = handleRenameStereotype(child, "choice", "choice");
						if(renamed!=null)
							child = renamed;
						renameParamConfContainerDefRecursively(child);
						renameAllContainerDef(child);
					}
				}
		    }
			
			renameParamConfContainerDefRecursively(element);
		}
    };
    
    mapping.DerivedIntegerParamDef=
    function(element){
    	handleDeleteStereotype(element, "DerivedIntegerParamDef");
    };
    
    mapping.DelegationConnectorPrototype=
    function(element){
    	handleRenameStereotype(element, "DelegationConnectorPrototype", "DelegationSwConnector");
    };
    
    mapping.SwTextProps=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "swMaxTextSize");
    };
    
    mapping.ReceiverComSpec=
    function(element){
    	handleDeleteTag(element, "maxDeltaCounterInit");
    	handleDeleteTag(element, "maxNoNewOrRepeatedData");
    	handleDeleteTag(element, "syncCounterInit");
    	handleDeleteTag(element, "usesEndToEndProtection");
    };
    
    mapping.SwRelatedConstrs=
    function(element){
    	handleDeleteStereotype(element, "SwRelatedConstrs");
    };
    
    mapping.StringValue=
    function(element){
    	handleRenameStereotype(element, "StringValue", "EcucTextualParamValue");
    };
    
    mapping.DataPrototypeRef=
    function(element){
    	handleRenameStereotype(element, "DataPrototypeRef", "AutosarVariableRef");
    };
	
	mapping.readNvData=
    function(element){
    	transformTagToLocalTag(element, "mixedContentIndex");
    	transformTagToLocalTag(element, "dataPrototype");
    };
	
	mapping.writtenNvData=
    function(element){
    	transformTagToLocalTag(element, "mixedContentIndex");
    	transformTagToLocalTag(element, "dataPrototype");
    };
    
    mapping.CommunicationClusterContent=
    function(element){
    	handleMoveTagInNewElement(element, "protocolName", "CommunicationClusterContent", "protocolName");
    	handleMoveTagInNewElement(element, "protocolVersion", "CommunicationClusterContent", "protocolVersion");
    	handleMoveTagInNewElement(element, "speed", "CommunicationClusterContent", "speed");
    };
    
    mapping.Datatype=
    function(element){
    	handleDeleteStereotype(element, "Datatype");
    };
    
    mapping.EnumerationValue=
    function(element){
    	handleRenameStereotype(element, "EnumerationValue", "EcucTextualParamValue");
    };
    
    mapping.BusTermination=
    function(element){
    	handleDeleteTag(element, "activeSwitchable");
    	handleDeleteTag(element, "choke");
    	handleDeleteTag(element, "emcFilter");
    	handleDeleteTag(element, "split");
    	handleDeleteTag(element, "value");
    	handleDeleteStereotype(element, "BusTermination");
    };
    
    mapping.ContainerDef=
    function(element){
    	handleRenameStereotype(element, "ContainerDef", "EcucContainerDef");
    	handleDeleteStereotypeFromAggregates(element, "l_definition");
    };
    
    mapping.HWElementContainer=
    function(element){
    	handleDeleteStereotype(element, "HWElementContainer");
    	handleDeleteStereotypeFromAggregates(element, "connection");
    	handleDeleteStereotypeFromAggregates(element, "containedElement");
    };
    
    mapping.EndToEndProtectionDataElementPrototype_dataElement=
    function(element){
    	handleOldIref(element, "EndToEndProtectionDataElementPrototype_dataElement");
    };
    
    mapping.PowerSupplyHWPort=
    function(element){
    	handleDeleteTag(element, "canBeSwitchedOff");
    	handleDeleteStereotype(element, "PowerSupplyHWPort");
    	handleDeleteStereotypeFromAggregates(element, "supplied");
    };
    
    mapping.ClientServerToSignalGroupMapping_mappedOperation=
    function(element){
    	handleOldIref(element, "ClientServerToSignalGroupMapping_mappedOperation");
    };
    
    mapping.PdurIPduGroup=
    function(element){
    	handleMoveReferenceInNewElement(element, "l_iPdu", "iPdu", "l_pduTriggering");
    };
    
    mapping.MemoryMappedDelegationHWConnection=
    function(element){
    	handleDeleteStereotype(element, "MemoryMappedDelegationHWConnection");
    };
    
    mapping.UnqueuedReceiverComSpec=
    function(element){
    	handleDeleteTag(element, "handleInvalid");
    	handleDeleteTag(element, "resyncTime");
    	handleRenameStereotype(element, "UnqueuedReceiverComSpec", "NonqueuedReceiverComSpec");
		handleDeleteStereotypeFromAggregates(element, "l_initValue");
    };
    
    mapping.CompuScale=
    function(element){
    	handleDeleteTag(element, "symbol");
    	handleDeleteStereotypeFromAggregates(element, "compuScaleContentsType");
    };
    
    mapping.RealType=
    function(element){
    	handleDeleteTag(element, "allowNaN");
    	handleDeleteTag(element, "encoding");
    	handleDeleteStereotype(element, "RealType");
    };
    
    mapping.LinFrameTriggering=
    function(element){
		handleDeleteStereotypeFromAggregates(element, "AssignmentTimingType");
		handleDeleteStereotypeFromAggregates(element, "RelativelyScheduledTiming");
    	handleDeleteTag(element, "checksumType");
    };
	
	mapping.AssignmentTimingType=
    function(element){
		handleDeleteStereotypeFromAggregates(element, "l_scheduleTable");
	}
    
    mapping.SwClassInstance=
    function(element){
    	handleDeleteStereotype(element, "SwClassInstance");
    	handleDeleteStereotypeFromAggregates(element, "swClassAttrInstanceImpl");
    	handleDeleteStereotypeFromAggregates(element, "swDataDefProps");
    };
    
    mapping.PowerSupplyVoltageNotification=
    function(element){
    	handleDeleteTag(element, "hystereses");
    	handleDeleteTag(element, "level");
    	handleDeleteStereotype(element, "PowerSupplyVoltageNotification");
    	handleDeleteStereotypeFromAggregates(element, "l_interrupt");
    };
    
    mapping.SwCompToEcuMapping_component=
    function(element){
    	handleOldIref(element, "SwCompToEcuMapping_component");
    };
    
    mapping.SensorHW=
    function(element){
    	handleDeleteTag(element, "signalQuality");
    	handleDeleteStereotype(element, "SensorHW");
    };
    
    mapping.CommunicationControllerMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_communicationPeripheral");
    };
    
    mapping.SwServicePrototype=
    function(element){
    	handleDeleteStereotype(element, "SwServicePrototype");
    };
    
    mapping.CompuProgCode=
    function(element){
    	handleDeleteStereotype(element, "CompuProgCode");
    };
    
    mapping.ComponentSeparation_separatedComponent=
    function(element){
    	handleOldIref(element, "ComponentClustering_clusteredComponent");
    };
    
    mapping.EmphasisText=
    function(element){
    	handleRenameStereotype(element, "EType", "EmphasisText");
    };
    
    mapping.CanCluster=
    function(element){
    	handleDeleteTag(element, "nmBusLoadReductionActive");
    	handleDeleteTag(element, "nmBusLoadReductionEnabled");
    	handleDeleteTag(element, "nmImmediateNmCycleTime");
    	handleDeleteTag(element, "nmImmediateNmTransmissions");
    	handleDeleteTag(element, "nmImmediateRestartEnabled");
    	handleDeleteTag(element, "nmLowerCanId");
    	handleDeleteTag(element, "nmMsgCycleTime");
    	handleDeleteTag(element, "nmRemoteSleepIndicationTime");
    	handleDeleteTag(element, "nmRepeatMessageStateTime");
    	handleDeleteTag(element, "nmTimeoutTime");
    	handleDeleteTag(element, "nmUpperCanId");
    	handleDeleteTag(element, "nmWaitBusSleepTime");
    };
    
    mapping.ConfigReferenceValue=
    function(element){
    	handleRenameStereotype(element, "ConfigReferenceValue", "EcucAbstractReferenceValue");
    };
    
    mapping.ModeSwitchPoint_modeGroup=
    function(element){
    	handleOldIref(element, "ModeSwitchPoint_modeGroup");
    };
    
    mapping.SwVariableRef=
    function(element){
    	handleDeleteStereotype(element, "SwVariableRef");
    	handleDeleteStereotypeFromAggregates(element, "swVariableRef");
    };
    
    mapping.CalibrationPortAnnotation=
    function(element){
    	handleRenameStereotype(element, "CalibrationPortAnnotation", "ParameterPortAnnotation");
    	handleDeleteStereotypeFromAggregates(element, "l_calprmElement");
    };
    
    mapping.SwCalprmAxisIndividualAxis=
    function(element){
    	handleDeleteStereotype(element, "SwCalprmAxisIndividualAxis");
    	handleDeleteStereotypeFromAggregates(element, "SwAxisIndividual");
    };
    
    mapping.HWPort=
    function(element){
    	handleDeleteTag(element, "direction");
    	handleDeleteStereotype(element, "HWPort");
    	handleDeleteStereotypeFromAggregates(element, "pin");
    };
    
    mapping.SwServiceImpl=
    function(element){
    	handleDeleteStereotype(element, "SwServiceImpl");
    };
    
    mapping.RxIdentifierRange=
    function(element){
    	handleDeleteTag(element, "lowerCanId");
    	handleDeleteTag(element, "upperCanId");
    	handleDeleteStereotype(element, "RxIdentifierRange");
    };
    
    mapping.Buffer=
    function(element){
    	handleDeleteTag(element, "number");
    	handleDeleteTag(element, "size");
    	handleDeleteTag(element, "type");
    	handleDeleteStereotype(element, "Buffer");
    };
    
    mapping.HWPin=
    function(element){
    	handleDeleteStereotype(element, "HWPin");
    };
    
    mapping.Oscillator=
    function(element){
    	handleDeleteTag(element, "adjustible");
    	handleDeleteTag(element, "oscillatorJitter");
    	handleDeleteTag(element, "oscillatorMode");
    	handleDeleteTag(element, "oscillatorStartupTime");
    	handleDeleteTag(element, "oscillatorTolerance");
    	handleDeleteStereotype(element, "Oscillator");
    	handleDeleteStereotypeFromAggregates(element, "backupOscillator");
    	handleDeleteStereotypeFromAggregates(element, "oscillatorFrequencyRange");
    };
    
    mapping.CanControllerConfiguration=
    function(element){
    	handleDeleteTag(element, "numberOfSamples");
    	handleDeleteTag(element, "propagationDelay");
    };
    
    mapping.ResourceConsumption=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "objectFileSection");
    };
    
    mapping.CommunicationSpeedList=
    function(element){
    	handleDeleteTag(element, "speed");
    	handleDeleteStereotype(element, "CommunicationSpeedList");
    };
    
    mapping.Container=
    function(element){
    	handleRenameStereotype(element, "Container", "EcucContainerValue");
    	handleDeleteStereotypeFromAggregates(element, "parameterValue");
    };
    
    mapping.BswModuleEntry=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.SwcObdRatioServiceNeeds=
    function(element){
    	handleDeleteStereotype(element, "SwcObdRatioServiceNeeds");
		handleDeleteStereotypeFromAggregates(element, "serviceCallPort");
    };
    
    mapping.MPU=
    function(element){
    	handleDeleteTag(element, "channelCount");
    	handleDeleteStereotype(element, "MPU");
    	handleDeleteStereotypeFromAggregates(element, "l_protectedMemoryHWPort");
    	handleDeleteStereotypeFromAggregates(element, "raisedInterrupt");
    };
    
    mapping.SwcToSwcOperationArguments_operation=
    function(element){
    	handleOldIref(element, "SwcToSwcOperationArguments_operation");
    };
    
    mapping.UserDefinedIPdu=
    function(element){
    	handleDeleteTag(element, "cddType");
    	handleDeleteStereotype(element, "UserDefinedIPdu");
    };
    
    mapping.MlData10=
    function(element){
    	handleRenameStereotype(element, "MlData10", "MultiLanguagePlainText");
    };
    
    mapping.InterRunnableVariable=
    function(element){
    	handleDeleteTag(element, "communicationApproach");
    	handleDeleteStereotype(element, "InterRunnableVariable");
    	handleDeleteStereotypeFromAggregates(element, "l_initValue");
    };
    
    mapping.ByteOrder=
    function(element){
    	handleDeleteStereotype(element, "ByteOrder");
  var contentTag = getLocalTag(element, "content");
  if(contentTag!=null){
   var values = getTagValues(contentTag);
   setTagValue(element.getOwner(), "byteOrder", values);
   deleteElement(element);
  }
    };
    
    mapping.SwClassAttrInstanceImpl=
    function(element){
    	handleDeleteStereotype(element, "SwClassAttrInstanceImpl");
    	handleDeleteStereotypeFromAggregates(element, "swVariableImpl");
    	handleDeleteStereotypeFromAggregates(element, "swClassImpl");
    	handleDeleteStereotypeFromAggregates(element, "swVariableImpl");
    };
    
    mapping.HeapUsage=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_ecu");
    };
    
    
    return mapping;
}
